commit:     9fbf6e24b19632149e94749698f9d49181adb699
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  7 03:14:54 2016 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue Jun  7 03:14:54 2016 +0000
URL:        https://gitweb.gentoo.org/proj/android.git/commit/?id=9fbf6e24

dev-lang/perl: merged.

 dev-lang/perl/Manifest                             |  28 --
 dev-lang/perl/files/eblits/common-v50160001.eblit  |  71 ----
 dev-lang/perl/files/eblits/common-v50240001.eblit  |  71 ----
 .../perl/files/eblits/pkg_postinst-v50160001.eblit |  67 ----
 .../perl/files/eblits/pkg_postinst-v50220001.eblit |  67 ----
 .../perl/files/eblits/pkg_postinst-v50240001.eblit |  36 --
 .../perl/files/eblits/pkg_postrm-v50160001.eblit   |  12 -
 .../perl/files/eblits/pkg_postrm-v50220001.eblit   |  12 -
 .../perl/files/eblits/pkg_postrm-v50240001.eblit   |   7 -
 .../perl/files/eblits/pkg_setup-v50160001.eblit    |  70 ----
 .../perl/files/eblits/pkg_setup-v50220001.eblit    |  72 ----
 .../perl/files/eblits/pkg_setup-v50240001.eblit    |  66 ----
 .../files/eblits/src_configure-v50180002.eblit     | 188 ----------
 .../files/eblits/src_configure-v50240001.eblit     | 192 ----------
 .../perl/files/eblits/src_install-v50160001.eblit  |  61 ----
 .../perl/files/eblits/src_install-v50200001.eblit  |  51 ---
 .../perl/files/eblits/src_install-v50240001.eblit  |  51 ---
 .../perl/files/eblits/src_prepare-v50160001.eblit  |  70 ----
 .../perl/files/eblits/src_prepare-v50240001.eblit  |  72 ----
 .../perl/files/eblits/src_test-v50160001.eblit     |  12 -
 dev-lang/perl/files/perl-5.22.0-cwd-prefix.patch   |  19 -
 dev-lang/perl/files/perl-cwd-prefix.patch          |  19 -
 dev-lang/perl/metadata.xml                         |   8 -
 dev-lang/perl/perl-5.22.0.ebuild                   | 124 -------
 dev-lang/perl/perl-5.24.0.ebuild                   | 126 -------
 dev-lang/php-5.4.0_rc7.ebuild                      | 398 ---------------------
 26 files changed, 1970 deletions(-)

diff --git a/dev-lang/perl/Manifest b/dev-lang/perl/Manifest
deleted file mode 100644
index 8b92d7d..0000000
--- a/dev-lang/perl/Manifest
+++ /dev/null
@@ -1,28 +0,0 @@
-AUX eblits/common-v50160001.eblit 1463 SHA256 
37afe94186a7067c334ed10ac2e9fd8a07d6b413e514e0375b0087440307bbd9 SHA512 
656df617cdbca2b6c45bcbe2acad972557d0ff97bd6e2b8d8639a2f21058bfa7231f70a0c90393681803dde121f0b342ee572a4fe129c5fa6e7f66f1ad422182
 WHIRLPOOL 
4413e7bcc7bfaf503d84a0c97930ba845f63cb434c2a44764e7211ccd3ce34e5004b35e34220f956f84f09313c269d703255483a00e1941c192b177c7ffeafe1
-AUX eblits/common-v50240001.eblit 1463 SHA256 
37afe94186a7067c334ed10ac2e9fd8a07d6b413e514e0375b0087440307bbd9 SHA512 
656df617cdbca2b6c45bcbe2acad972557d0ff97bd6e2b8d8639a2f21058bfa7231f70a0c90393681803dde121f0b342ee572a4fe129c5fa6e7f66f1ad422182
 WHIRLPOOL 
4413e7bcc7bfaf503d84a0c97930ba845f63cb434c2a44764e7211ccd3ce34e5004b35e34220f956f84f09313c269d703255483a00e1941c192b177c7ffeafe1
-AUX eblits/pkg_postinst-v50160001.eblit 2482 SHA256 
f5d6f50dc685b05df8b2861e98f1ca2708f8710708ba6f5f118ae7d4f6268391 SHA512 
8822f31004cc75faec134b61fb99880f733e9bd3b4c2b824849edfca879051bb9eaca46b96ae2741eeaa5103866336b7bdaf328581b7c2ed52c17113fc65d7e0
 WHIRLPOOL 
e4d3cf790b09ac9cb6769a539da86d64ef6aa78ae0745702db3e6b5b1ccba268d75f144628a5ea8d370b888cac224f9ff760533e074b254b6df266f6f86eb138
-AUX eblits/pkg_postinst-v50220001.eblit 2482 SHA256 
bb608b2311fa3e382081bb29bd21e0242ac2bb826238ebc12b65ded49417f6ad SHA512 
4eecd05162ccceb2dfce2d8a77578ad95a09bb152d977241044c5d1e460b0eb22d7646721cefe77971b303cb7b0d12fc0870438e6fff14b058df823e5ee3d5d5
 WHIRLPOOL 
7bdd9b6336a63d414ba6154471456b45404643c9eba43eb7a2541dd37b75fdbc377e4c2a4ddffe3258aeb41a03e8f4e34e42b2de894e49884e52161d4a59ec2b
-AUX eblits/pkg_postinst-v50240001.eblit 1127 SHA256 
d408c6e83be2b6802850e138cfa7c93c8263aa049610d495f360e2119304a9b0 SHA512 
c45d20300136ce71ddf80a3448f128836b44c991b9499337e4773602e68e9b3e6a4fd62b84a697de13bce862f3a979540b8a519e31a077bd27b240ab8091dd33
 WHIRLPOOL 
67efb74345be75457c3aee2e9395a17ffc5594dba80a7ec7b8ac1c7b717732089faca98ce16eef6be0ed18132278ccf58c0fb6c289a479e49923d9a445518b0d
-AUX eblits/pkg_postrm-v50160001.eblit 295 SHA256 
0a8128fee60e9e43b77858a828c76dead1256f0680aef8ebd981b6193e03bb16 SHA512 
16a4a45fcd03610aa14f55dd707fa6351475780bd48b67385d88c7e556281bfb264be79040a1e46462bcfd11a84065b37f21e9ab0d1d5b00bafa3d89e86694f2
 WHIRLPOOL 
af9bdc378196629b5cd190bc495296e2b2f29020c4eccf0c6b022b43bac9ec8060a4b6dec9bfe81507b7b6736d8d2775027c2e459d9080842ae78860afcf2a9d
-AUX eblits/pkg_postrm-v50220001.eblit 295 SHA256 
98b49459c5e47019a20d5a05b64c70bb38c102b7b821ea404686b327847fb892 SHA512 
f4f08bfcb759ed3b1e65b93e4cdf616199bce5f34cf6e7f10a266509d6742ae9cd0441327ed33ae7eea43fbb4d88d53bb5059796b761bbd4a5d78bbcc4ad2683
 WHIRLPOOL 
6ad5a6a7cd186100e9712d30d76106ca933cec226d58c38bcc9ed196e9fb3e78f5aefb042f1db08778d779305272fc0d92505a1f488dd06ae0c779b15ae3d13f
-AUX eblits/pkg_postrm-v50240001.eblit 156 SHA256 
d600d407df555d53e94c35b81c99ba9ffbfdba708eb62d576038708be0dbdd15 SHA512 
38343aecb1ecc762444518f2cb4aa049433e1af9dfd4e6cd9d9c75b63696101817a62bfa3f2a1818616bd4496cc39b82874c5756798c0431f66c6ffd21c8e302
 WHIRLPOOL 
f52e2e171cdc56ce26af7d72f863076864cc0cafdf30b7fb240b714e40b7309ac293ef1a2af42224bd10e2acfc5e668035c55c2cf413e51906f76cf61106f57f
-AUX eblits/pkg_setup-v50160001.eblit 2362 SHA256 
1b0b9c7cbe999f38a8235d1e360dc8926b8261158792db93d68d4eb3a295017b SHA512 
76ec287c457672053b95a373563f3d5280a2aa4e95c86c766d6d24222a1a738190d4ada9e58910644dd40d3506230747169679a3d15e5733fd2fac924ac6e637
 WHIRLPOOL 
494e3bb95341c518481b963cb07a3a50ae50dde76d18224ecad1da8f5af670a4569ea93ccb89ecff3a034c683210b45754720f2f264d3ba04dccfc8c28312ac7
-AUX eblits/pkg_setup-v50220001.eblit 2537 SHA256 
e679ed586ef03278989a4c0f06346dff7389a7747fc709089379acf979e02178 SHA512 
c967f136a8a7755a81898cce54446b0e149b76423b855700c0c6586432f178e953e719dd3abc2e39eaba24f1edc48d306dabff4b5af08b6062d03b217994426a
 WHIRLPOOL 
90be84a26fa96f1fce9d1b6104c4d14f2b5da5fc3fdd0df8eef085300d865f0dd1cd654e6361c637e0c8e7703ed9adbcbca92aa843d36f7ca210e1a5908cd489
-AUX eblits/pkg_setup-v50240001.eblit 2345 SHA256 
65c5fc83808ca88c1573197087d2629eadb6771bb67be017e429ae7aeac971da SHA512 
c790c194b710cdd72d0b4724e0bfedbbd739946dbcdece6eeccc0c1be64a0294a3662519a4e702909ddefac33f6265eeaf98b5ace8bc1478714219ffba088690
 WHIRLPOOL 
c9364a9cf2ea12ecd0844140e8474837af8edd3237ddbd9d996eb151bd6b87aa0b3fbdcfe927c2b671f23fd686e791dce284ae959b83b066b966d07b4b79e559
-AUX eblits/src_configure-v50180002.eblit 6004 SHA256 
931a35ca41c92e4c2e4deb82a539ca098ab52f01a34f6f55b9f2707b25d2804d SHA512 
9442fbf1f481aa24dfc62e132f7f5702300ac52597d33899a69096fcec493458ca32edcde6011ede1a3027fb867ab948bceb7397b3e092c1fea0e77e02495872
 WHIRLPOOL 
e087b30bdb3001de2c12783e2397346edcaf7a87e69d3b2035aa4102a1e94ac73d04d68c80cdbb84b245d5ce59bb56d43843524afd1b626b145b9f54c4e79282
-AUX eblits/src_configure-v50240001.eblit 6132 SHA256 
5dea9d08d2c449fc0b166e45342ab10ba20828d8b240761df0b4a3b1574e97a0 SHA512 
67d5684e673c2e6309fa96b7819de2df2877ae3fe9ddac3c0e95621a87c31ebff35bbcf8c7075c865fdec59d49bc47e97fc3ddeeff49838b58231a8863d92891
 WHIRLPOOL 
0864b3edce98d1462cd19ddd21f362ab58f8fd6da9ac6550384193f1ad2b40828f5eb95308459b6c429f0f9e5bd7a1a9c13e42407d4b7a5c5e4e62cab07bdc77
-AUX eblits/src_install-v50160001.eblit 2002 SHA256 
d73fe664c306b75e460f38f5982e6d52c877e16329db8ee834f3bdae8277ce59 SHA512 
f8a5324270b582b94f5bb2b7049a532de231e3367406e9a1f46ebf762a454cf9c7fd33b3ada4478eb843e78e09e313e28a39547227a462e1326909ec3d7ea6a6
 WHIRLPOOL 
7c5d554479791d30b4602f7b027318f6bf22bb09474c3f6a15f5b0ac374da78cf8b52b47db27e51fe04621c9c3c412ce08bc4e54e37c8cf45bb1a646a5fbc930
-AUX eblits/src_install-v50200001.eblit 1578 SHA256 
925b70ffb18ffcfce1b9a2678aea329adb443adfe3d74c450612a341b2376ed2 SHA512 
ae47106d1ed8b4e19fb16c68d279d07793c56a033d028cc9ef9fd1d191ff79efd2bcde0f38f2f59c8c30a3d5f7e0307f97d0bb5399d08f517dafe1569183a447
 WHIRLPOOL 
fea55587e7aeb2c3f7ec355a0385bed065381f31d78ba97f68172360718490924f4cbc5b35dc0b824eb87857209901f7f2a23b16e8e9cde7aaa68b4e9b9271df
-AUX eblits/src_install-v50240001.eblit 1578 SHA256 
925b70ffb18ffcfce1b9a2678aea329adb443adfe3d74c450612a341b2376ed2 SHA512 
ae47106d1ed8b4e19fb16c68d279d07793c56a033d028cc9ef9fd1d191ff79efd2bcde0f38f2f59c8c30a3d5f7e0307f97d0bb5399d08f517dafe1569183a447
 WHIRLPOOL 
fea55587e7aeb2c3f7ec355a0385bed065381f31d78ba97f68172360718490924f4cbc5b35dc0b824eb87857209901f7f2a23b16e8e9cde7aaa68b4e9b9271df
-AUX eblits/src_prepare-v50160001.eblit 1994 SHA256 
0dcc1a48c9cf51ab6ece8be5123f329a800f94d41ac0ba37264e9485f49c5ef3 SHA512 
4ed301f376803254f6705572660dd4caeb56f4f542491a628743d79951b251c26a06d3b4ab49745f4b7852c060edd5556b73df9a2f7ad2cc641286b31fdcd4f9
 WHIRLPOOL 
814ed96cf3e3a2befc09014f431f0583456705ebd45eea888ae34430489929d31202ae871a9e8c7a03fb97adb2925468c500f58378636a31a44924768cfe090f
-AUX eblits/src_prepare-v50240001.eblit 2004 SHA256 
da49c802c848254d3f6a6715724810381c75df5b6c80c5fdf203dd0f1d2982bd SHA512 
4779d7d61e1e6a02319cd0a203561d97ff2d0e884fd63ab59623624c657cc672098de4dd6cf547233eae3464e0d92dcb9ce7f3ff0284fdfb77d69e526fd54787
 WHIRLPOOL 
70400778938209680e9aa36fe8912ef7a38f8e91cc32a18ca7355cd5a59f8ef55f19a676378cd2518d7c1f4d4a6d5a1699c66e8055b9af31bd07966e5afe0da8
-AUX eblits/src_test-v50160001.eblit 386 SHA256 
fcabb0f4f856bd04049156c33932477e73b95fb33435c1b17da4f2df4b4491f9 SHA512 
4576748f77d65a272c92ea243be741fbaca1c520a2151ecd9f3aa0876c6492fc2d6660a74a28b6dc60441985e1c96ad9fbab6c4cd577ece0b0003530e9bf3b4d
 WHIRLPOOL 
b91dcb02ce080f73983ed2d10bc9b9b041e31220de075825cc89b9dec9b1a93fd3dd69399841fa40c6a39a0f8a9f190afd1db8943a7595a7a66d827074870220
-AUX perl-5.22.0-cwd-prefix.patch 669 SHA256 
c08b09a0df4882bf484c1d2a9c48069dc8c557c705c7b381740d4caabc4f73e8 SHA512 
b8fc4075c8e593bdbd68c5eeb1437f944873a7f4bcc222677b1e5c865463094ca3ec96beb7855f255b73796c244df087577683827e4f9344cbf55b0dd1b49bc4
 WHIRLPOOL 
7e450dbc71c01ebb6ed9a4eda83407831f3eb9617b7414355c1877e94083b01a708cc1a9a2eb6de2fe5a010966644363c81a18fb8495b67b45618412efcbe129
-AUX perl-cwd-prefix.patch 671 SHA256 
14862435fb267b0f0beab4c6fac1536261ff08629d1e0e43cf636c0510e6d365 SHA512 
a68481bfc8620f1bba868a013b1adad27844657e3905a8c8fcba170825de70be32869a157cc7e2239f67270c79397e5a1d66064dd8513df8fca739f7ca66103e
 WHIRLPOOL 
55f760311c5cf89e904e3fe9fd00d5b6d9dd32b272968415c76c844a232a5432c911c2d43507f21e955500887670b0c1ebfe0f70c4ea385ff692faef5e698526
-DIST perl-5.22.0-patches-1.tar.xz 20892 SHA256 
9abd87880c9c91e89e88eb467c124ba66fe3955b526802ad186b030a51a408f8 SHA512 
53d5a49d12237aa39dc6ae2cffb9e22bc3776c3e78a3a5a37b4e0a0930eea0a33bf7ce4ab5f0e32d4dc68d0af8341b356de003558c88fb8686e826aee4055870
 WHIRLPOOL 
fd1cc0ebf32664211cf263e2d8e9e1ddf29bad0835e6f377e20ba5dfdd80250f49ff663e2f449dd5e11e3d26a26a2fb51924dde3a5c490cce375c05d990a9e32
-DIST perl-5.22.0.tar.bz2 13811518 SHA256 
3689fdb519133d039f49e12834764ff4c1de8f8d925dea44a952ca110d0ac9f7 SHA512 
97e770d9bc9acbb7fa6939207a46d9a2887a61971c1ae1c8d6b5071bfc0d68a0f539486fea81ba81966f716d7ae532273a27a6baaf323e73fbd5c5eb9bf01fa4
 WHIRLPOOL 
9416c17323edc9ee5affb8a6d857e9ecf1ac5d7d37ca7d8703bfd15541c97f1031a9c669c9a41d8deb974676e197c0c7be753ad988f050f5fbb5b01942eacb3a
-DIST perl-5.24.0-patches-1.tar.xz 17320 SHA256 
7be09434e7d73f47be3d1d9f6e6f72f5e705a7b5cfbef07ee9b8b53b2a08ef14 SHA512 
430c06d6298cbd5eb8b7db9947ca288fcd747e19652285278ac2a84c90cdf756463505c50e7bd97fbd98bb45119dc898d94c4fb7af50bb57d9c2b959cba0d944
 WHIRLPOOL 
b1f3cf64af35cb9364563ede25d700ff6b0ebaa93f978b7d65a2085498cce0d20d527e00e0a2b17a3d7dc9ef81d85e68985ec0ec00560e9696a8eb3ee61f0383
-DIST perl-5.24.0.tar.bz2 14155784 SHA256 
62328a53d157e8153b33e137594155f6f8b64418f7f9238210feb809585290e0 SHA512 
05ecc6774da475d14f426a850be7adf754fcb17a2fa85a67aeaf8ddb9c86ae8b1ee654e803ebae5ccdaa73ad3e35188e3254ac9452b47cd4f8ffe47e67d15f53
 WHIRLPOOL 
84c98ddb19a5c6d32f40b427ba1f82656f88cfe5b7d3f416fb92579436890af52299f05301a81692dfdae65594b1866081e1fee067623256d796855d87d532ad
-EBUILD perl-5.22.0.ebuild 4154 SHA256 
f0a14734a7f8d305c80deba7dccdcd7798c5692cf716099c1544210a251b363b SHA512 
107bc6f2b5e25e757db87ef2b6a092fb5ae0ab8c2f3c3b2ea4432f426e57321a54245329241d7d7352ad10d91482386906b79ea0a57f5fe855f028f875fb37e0
 WHIRLPOOL 
6d2aa72f2bf52b773860d113a71f2c1d3dd5a902d6d34187576782ffad9e67ad8f94dcf93d891b689811f9804cb649a41bfc3fb29b66ea4e1066f1845ac532d6
-EBUILD perl-5.24.0.ebuild 4178 SHA256 
96e323ebf5b163f49c113cadbd0334b59d9926f9c4d0b5d6fdef88a81c23e380 SHA512 
7f0851197970ab5728283b77ea460b41a3398cb9b2be5f07cd0d188225e67822678a48b0ab11f39f4afb57eee4110636551e4732923dbe68e68b0f1c44796f29
 WHIRLPOOL 
ff70d8ccef240bb0ec8fa658421804e39b60ffc7cacb773838a11f3c7e1b8544b26fbd397efe9dc7bafd3e61dbee4db13d56a11f7da399f20d6c78cecc10ff21
-MISC metadata.xml 257 SHA256 
94d99e58fcedfe7951797e5cbd70790c21b87c1e07a7003f650632bb0a4f2300 SHA512 
caf80fd9d8931ab6d476afc21fcc840894cdb4cf548d196958321a0ba09ab83ff98de3f8b5f01701f8101fd0ec0fcfc35ae6e572aa8ef499b106c3ac8cabb769
 WHIRLPOOL 
7793b51d68b2c56ff1d6029be61fc41007af60c7143e8d82d87891e2863c1978c92d2bc13a0266e4506b69c0012a8555d27ce05061e4ce8c656b32e937badeae

diff --git a/dev-lang/perl/files/eblits/common-v50160001.eblit 
b/dev-lang/perl/files/eblits/common-v50160001.eblit
deleted file mode 100644
index 2a8d815..0000000
--- a/dev-lang/perl/files/eblits/common-v50160001.eblit
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-src_remove_dual_file() {
-       local i pkg ver
-       pkg="$1"
-       ver="$2"
-       shift 2
-       case "${EBUILD_PHASE:-none}" in
-               postinst|postrm)
-                       for i in "$@" ; do
-                               alternatives_auto_makesym "${i}" "${i}-[0-9]*"
-                       done
-                       ;;
-               setup)
-                       for i in "$@" ; do
-                               if [[ -f ${EROOT}${i} && ! -h ${EROOT}${i} ]] ; 
then
-                                       has_version ${pkg} && ewarn "You must 
reinstall ${pkg} !"
-                                       break
-                               fi
-                       done
-                       ;;
-               install)
-                       for i in "$@" ; do
-                               if ! [[ -f "${ED}"${i} ]] ; then
-                                       ewarn "${i} does not exist!"
-                                       continue
-                               fi
-                               mv "${ED}"${i}{,-${ver}-${P}} || die
-                       done
-                       ;;
-       esac
-}
-
-src_remove_dual_man() {
-       local i pkg ver ff
-       pkg="$1"
-       ver="$2"
-       shift 2
-       case "${EBUILD_PHASE:-none}" in
-               postinst|postrm)
-                       for i in "$@" ; do
-                               ff=`echo 
"${EROOT}${i%.[0-9]}-${ver}-${P}${i#${i%.[0-9]}}"*`
-                               ff=${ff##*${i#${i%.[0-9]}}}
-                               alternatives_auto_makesym "${i}${ff}" 
"${i%.[0-9]}-[0-9]*"
-                       done
-                       ;;
-               install)
-                       for i in "$@" ; do
-                               if ! [[ -f "${ED}"${i} ]] ; then
-                                       ewarn "${i} does not exist!"
-                                       continue
-                               fi
-                               mv "${ED}"${i} 
"${ED}"${i%.[0-9]}-${ver}-${P}${i#${i%.[0-9]}} || die
-                       done
-                       ;;
-       esac
-}
-
-src_remove_dual() {
-       local i pkg ver
-       pkg="$1"
-       ver="$2"
-       shift 2
-       for i in "$@" ; do
-               src_remove_dual_file  "${pkg}" "${ver}" "/usr/bin/${i}"
-               src_remove_dual_man   "${pkg}" "${ver}" 
"/usr/share/man/man1/${i}.1"
-       done
-}
-

diff --git a/dev-lang/perl/files/eblits/common-v50240001.eblit 
b/dev-lang/perl/files/eblits/common-v50240001.eblit
deleted file mode 100644
index 2a8d815..0000000
--- a/dev-lang/perl/files/eblits/common-v50240001.eblit
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-src_remove_dual_file() {
-       local i pkg ver
-       pkg="$1"
-       ver="$2"
-       shift 2
-       case "${EBUILD_PHASE:-none}" in
-               postinst|postrm)
-                       for i in "$@" ; do
-                               alternatives_auto_makesym "${i}" "${i}-[0-9]*"
-                       done
-                       ;;
-               setup)
-                       for i in "$@" ; do
-                               if [[ -f ${EROOT}${i} && ! -h ${EROOT}${i} ]] ; 
then
-                                       has_version ${pkg} && ewarn "You must 
reinstall ${pkg} !"
-                                       break
-                               fi
-                       done
-                       ;;
-               install)
-                       for i in "$@" ; do
-                               if ! [[ -f "${ED}"${i} ]] ; then
-                                       ewarn "${i} does not exist!"
-                                       continue
-                               fi
-                               mv "${ED}"${i}{,-${ver}-${P}} || die
-                       done
-                       ;;
-       esac
-}
-
-src_remove_dual_man() {
-       local i pkg ver ff
-       pkg="$1"
-       ver="$2"
-       shift 2
-       case "${EBUILD_PHASE:-none}" in
-               postinst|postrm)
-                       for i in "$@" ; do
-                               ff=`echo 
"${EROOT}${i%.[0-9]}-${ver}-${P}${i#${i%.[0-9]}}"*`
-                               ff=${ff##*${i#${i%.[0-9]}}}
-                               alternatives_auto_makesym "${i}${ff}" 
"${i%.[0-9]}-[0-9]*"
-                       done
-                       ;;
-               install)
-                       for i in "$@" ; do
-                               if ! [[ -f "${ED}"${i} ]] ; then
-                                       ewarn "${i} does not exist!"
-                                       continue
-                               fi
-                               mv "${ED}"${i} 
"${ED}"${i%.[0-9]}-${ver}-${P}${i#${i%.[0-9]}} || die
-                       done
-                       ;;
-       esac
-}
-
-src_remove_dual() {
-       local i pkg ver
-       pkg="$1"
-       ver="$2"
-       shift 2
-       for i in "$@" ; do
-               src_remove_dual_file  "${pkg}" "${ver}" "/usr/bin/${i}"
-               src_remove_dual_man   "${pkg}" "${ver}" 
"/usr/share/man/man1/${i}.1"
-       done
-}
-

diff --git a/dev-lang/perl/files/eblits/pkg_postinst-v50160001.eblit 
b/dev-lang/perl/files/eblits/pkg_postinst-v50160001.eblit
deleted file mode 100644
index cc864d0..0000000
--- a/dev-lang/perl/files/eblits/pkg_postinst-v50160001.eblit
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_postinst() {
-       dual_scripts
-
-       if [[ "${ROOT}" = "/" ]] ; then
-               local INC DIR file
-               INC=$(perl -e 'for $line (@INC) { next if $line eq "."; next if 
$line =~ m/'${SHORT_PV}'|etc|local|perl$/; print "$line\n" }')
-               einfo "Removing old .ph files"
-               for DIR in ${INC} ; do
-                       if [[ -d "${DIR}" ]] ; then
-                               for file in $(find "${DIR}" -name "*.ph" -type 
f ) ; do
-                                       rm -f "${file}"
-                                       einfo "<< ${file}"
-                               done
-                       fi
-               done
-               # Silently remove the now empty dirs
-               for DIR in ${INC} ; do
-                       if [[ -d "${DIR}" ]] ; then
-                               find "${DIR}" -depth -type d -print0 | xargs -0 
-r rmdir &> /dev/null
-                       fi
-               done
-
-#              ebegin "Generating ConfigLocal.pm (ignore any error)"
-#              enc2xs -C
-
-               einfo "Converting C header files to the corresponding Perl 
format (ignore any error)"
-               # Prefix note: unprefixed as this is all kernel/libc stuff that 
we never provide
-               pushd /usr/include >/dev/null
-                       h2ph -Q -a -d "${EPREFIX}"${ARCH_LIB} \
-                               asm/termios.h syscall.h syslimits.h syslog.h 
sys/ioctl.h \
-                               sys/socket.h sys/time.h wait.h sysexits.h
-               popd >/dev/null
-
-# This has been moved into a function because rumor has it that a future 
release
-# of portage will allow us to check what version was just removed - which means
-# we will be able to invoke this only as needed :)
-               # Tried doing this via  -z, but $INC is too big...
-               #if [[ "${INC}x" != "x" ]]; then
-               #       cleaner_msg
-               #fi
-       fi
-}
-
-cleaner_msg() {
-       eerror "You have had multiple versions of perl. It is recommended"
-       eerror "that you run perl-cleaner now. perl-cleaner will"
-       eerror "assist with this transition. This script is capable"
-       eerror "of cleaning out old .ph files, rebuilding modules for "
-       eerror "your new version of perl, as well as re-emerging"
-       eerror "applications that compiled against your old 
libperl$(get_libname)"
-       eerror
-       eerror "PLEASE DO NOT INTERRUPT THE RUNNING OF THIS SCRIPT."
-       eerror "Part of the rebuilding of applications compiled against "
-       eerror "your old libperl involves temporarily unmerging"
-       eerror "them - interruptions could leave you with unmerged"
-       eerror "packages before they can be remerged."
-       eerror ""
-       eerror "If you have run perl-cleaner and a package still gives"
-       eerror "you trouble, and re-emerging it fails to correct"
-       eerror "the problem, please check http://bugs.gentoo.org/";
-       eerror "for more information or to report a bug."
-       eerror ""
-}

diff --git a/dev-lang/perl/files/eblits/pkg_postinst-v50220001.eblit 
b/dev-lang/perl/files/eblits/pkg_postinst-v50220001.eblit
deleted file mode 100644
index a268f78..0000000
--- a/dev-lang/perl/files/eblits/pkg_postinst-v50220001.eblit
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_postinst() {
-       dual_scripts
-
-       if [[ "${ROOT}" = "/" ]] ; then
-               local INC DIR file
-               INC=$(perl -e 'for $line (@INC) { next if $line eq "."; next if 
$line =~ m/'${SHORT_PV}'|etc|local|perl$/; print "$line\n" }')
-               einfo "Removing old .ph files"
-               for DIR in ${INC} ; do
-                       if [[ -d "${DIR}" ]] ; then
-                               for file in $(find "${DIR}" -name "*.ph" -type 
f ) ; do
-                                       rm -f "${file}"
-                                       einfo "<< ${file}"
-                               done
-                       fi
-               done
-               # Silently remove the now empty dirs
-               for DIR in ${INC} ; do
-                       if [[ -d "${DIR}" ]] ; then
-                               find "${DIR}" -depth -type d -print0 | xargs -0 
-r rmdir &> /dev/null
-                       fi
-               done
-
-#              ebegin "Generating ConfigLocal.pm (ignore any error)"
-#              enc2xs -C
-
-               einfo "Converting C header files to the corresponding Perl 
format (ignore any error)"
-               # Prefix note: unprefixed as this is all kernel/libc stuff that 
we never provide
-               pushd /usr/include >/dev/null
-                       h2ph -Q -a -d "${EPREFIX}"${ARCH_LIB} \
-                               asm/termios.h syscall.h syslimits.h syslog.h 
sys/ioctl.h \
-                               sys/socket.h sys/time.h wait.h sysexits.h
-               popd >/dev/null
-
-# This has been moved into a function because rumor has it that a future 
release
-# of portage will allow us to check what version was just removed - which means
-# we will be able to invoke this only as needed :)
-               # Tried doing this via  -z, but $INC is too big...
-               #if [[ "${INC}x" != "x" ]]; then
-               #       cleaner_msg
-               #fi
-       fi
-}
-
-cleaner_msg() {
-       eerror "You have had multiple versions of perl. It is recommended"
-       eerror "that you run perl-cleaner now. perl-cleaner will"
-       eerror "assist with this transition. This script is capable"
-       eerror "of cleaning out old .ph files, rebuilding modules for "
-       eerror "your new version of perl, as well as re-emerging"
-       eerror "applications that compiled against your old 
libperl$(get_libname)"
-       eerror
-       eerror "PLEASE DO NOT INTERRUPT THE RUNNING OF THIS SCRIPT."
-       eerror "Part of the rebuilding of applications compiled against "
-       eerror "your old libperl involves temporarily unmerging"
-       eerror "them - interruptions could leave you with unmerged"
-       eerror "packages before they can be remerged."
-       eerror ""
-       eerror "If you have run perl-cleaner and a package still gives"
-       eerror "you trouble, and re-emerging it fails to correct"
-       eerror "the problem, please check http://bugs.gentoo.org/";
-       eerror "for more information or to report a bug."
-       eerror ""
-}

diff --git a/dev-lang/perl/files/eblits/pkg_postinst-v50240001.eblit 
b/dev-lang/perl/files/eblits/pkg_postinst-v50240001.eblit
deleted file mode 100644
index 2603ef4..0000000
--- a/dev-lang/perl/files/eblits/pkg_postinst-v50240001.eblit
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_postinst() {
-       dual_scripts
-
-       if [[ "${ROOT}" = "/" ]] ; then
-               local INC DIR file
-               INC=$(perl -e 'for $line (@INC) { next if $line eq "."; next if 
$line =~ m/'${SHORT_PV}'|etc|local|perl$/; print "$line\n" }')
-               einfo "Removing old .ph files"
-               for DIR in ${INC} ; do
-                       if [[ -d "${DIR}" ]] ; then
-                               for file in $(find "${DIR}" -name "*.ph" -type 
f ) ; do
-                                       rm -f "${file}"
-                                       einfo "<< ${file}"
-                               done
-                       fi
-               done
-               # Silently remove the now empty dirs
-               for DIR in ${INC} ; do
-                       if [[ -d "${DIR}" ]] ; then
-                               find "${DIR}" -depth -type d -print0 | xargs -0 
-r rmdir &> /dev/null
-                       fi
-               done
-
-#              einfo "Converting C header files to the corresponding Perl 
format (ignore any error)"
-#              # Prefix note: unprefixed as this is all kernel/libc stuff that 
we never provide
-#              pushd /usr/include >/dev/null
-#                      h2ph -Q -a -d "${EPREFIX}"${ARCH_LIB} \
-#                              asm/termios.h syscall.h syslimits.h syslog.h 
sys/ioctl.h \
-#                              sys/socket.h sys/time.h wait.h sysexits.h
-#              popd >/dev/null
-
-       fi
-}

diff --git a/dev-lang/perl/files/eblits/pkg_postrm-v50160001.eblit 
b/dev-lang/perl/files/eblits/pkg_postrm-v50160001.eblit
deleted file mode 100644
index 02b5944..0000000
--- a/dev-lang/perl/files/eblits/pkg_postrm-v50160001.eblit
+++ /dev/null
@@ -1,12 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_postrm(){
-       dual_scripts
-
-#      if [[ -e ${ARCH_LIB}/Encode/ConfigLocal.pm ]] ; then
-#              ebegin "Removing ConfigLocal.pm"
-#              rm "${ARCH_LIB}/Encode/ConfigLocal.pm"
-#      fi
-}

diff --git a/dev-lang/perl/files/eblits/pkg_postrm-v50220001.eblit 
b/dev-lang/perl/files/eblits/pkg_postrm-v50220001.eblit
deleted file mode 100644
index 5bead2a..0000000
--- a/dev-lang/perl/files/eblits/pkg_postrm-v50220001.eblit
+++ /dev/null
@@ -1,12 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_postrm(){
-       dual_scripts
-
-#      if [[ -e ${ARCH_LIB}/Encode/ConfigLocal.pm ]] ; then
-#              ebegin "Removing ConfigLocal.pm"
-#              rm "${ARCH_LIB}/Encode/ConfigLocal.pm"
-#      fi
-}

diff --git a/dev-lang/perl/files/eblits/pkg_postrm-v50240001.eblit 
b/dev-lang/perl/files/eblits/pkg_postrm-v50240001.eblit
deleted file mode 100644
index ed98a86..0000000
--- a/dev-lang/perl/files/eblits/pkg_postrm-v50240001.eblit
+++ /dev/null
@@ -1,7 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_postrm(){
-       dual_scripts
-}

diff --git a/dev-lang/perl/files/eblits/pkg_setup-v50160001.eblit 
b/dev-lang/perl/files/eblits/pkg_setup-v50160001.eblit
deleted file mode 100644
index a7b734f..0000000
--- a/dev-lang/perl/files/eblits/pkg_setup-v50160001.eblit
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_setup() {
-       case ${CHOST} in
-               *-freebsd*)   osname="freebsd" ;;
-               *-dragonfly*) osname="dragonfly" ;;
-               *-netbsd*)    osname="netbsd" ;;
-               *-openbsd*)   osname="openbsd" ;;
-               *-darwin*)    osname="darwin" ;;
-               *-interix*)   osname="interix" ;;
-               *-aix*)       osname="aix" ;;
-               *)            osname="linux" ;;
-       esac
-
-       myarch="${CHOST%%-*}-${osname}"
-       if use debug ; then
-               myarch+="-debug"
-       fi
-       if use ithreads ; then
-               mythreading="-multi"
-               myarch+="-thread"
-       fi
-
-       LIBPERL="libperl$(get_libname ${MY_PV} )"
-       PRIV_LIB="/usr/$(get_libdir)/perl5/${MY_PV}"
-       ARCH_LIB="/usr/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
-       SITE_LIB="/usr/local/$(get_libdir)/perl5/${MY_PV}"
-       
SITE_ARCH="/usr/local/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
-       VENDOR_LIB="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}"
-       
VENDOR_ARCH="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}/${myarch}${mythreading}"
-
-       if use ithreads ; then
-               echo ""
-               ewarn "THREADS WARNING:"
-               ewarn "PLEASE NOTE: You are compiling ${MY_P} with"
-               ewarn "interpreter-level threading enabled."
-               ewarn "Threading is not supported by all applications "
-               ewarn "that compile against perl. You use threading at "
-               ewarn "your own discretion. "
-       fi
-       check_rebuild
-       dual_scripts
-}
-
-check_rebuild() {
-       if has_version "<dev-lang/perl-${SHORT_PV}" ; then
-               echo ""
-               ewarn "UPDATE THE PERL MODULES:"
-               ewarn "After updating dev-lang/perl you must reinstall"
-               ewarn "the installed perl modules."
-               ewarn "Use: perl-cleaner --all"
-       elif has_version dev-lang/perl ; then
-               # doesnot work
-               #if ! has_version dev-lang/perl[ithreads=,debug=] ; then
-               #if ! has_version dev-lang/perl[ithreads=] || ! has_version 
dev-lang/perl[debug=] ; then
-               if (   use ithreads && ! has_version dev-lang/perl[ithreads] ) 
|| \
-                  ( ! use ithreads &&   has_version dev-lang/perl[ithreads] ) 
|| \
-                  (   use debug    && ! has_version dev-lang/perl[debug]    ) 
|| \
-                  ( ! use debug    &&   has_version dev-lang/perl[debug]    ) 
; then
-                       echo ""
-                       ewarn "TOGGLED USE-FLAGS WARNING:"
-                       ewarn "You changed one of the use-flags ithreads or 
debug."
-                       ewarn "You must rebuild all perl-modules installed."
-                       ewarn "Use: perl-cleaner --modules ; perl-cleaner 
--force --libperl"
-               fi
-       fi
-}
-

diff --git a/dev-lang/perl/files/eblits/pkg_setup-v50220001.eblit 
b/dev-lang/perl/files/eblits/pkg_setup-v50220001.eblit
deleted file mode 100644
index a2b0957..0000000
--- a/dev-lang/perl/files/eblits/pkg_setup-v50220001.eblit
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_setup() {
-       case ${CHOST} in
-               *-freebsd*)   osname="freebsd" ;;
-               *-dragonfly*) osname="dragonfly" ;;
-               *-netbsd*)    osname="netbsd" ;;
-               *-openbsd*)   osname="openbsd" ;;
-               *-darwin*)    osname="darwin" ;;
-               *-interix*)   osname="interix" ;;
-               *-aix*)       osname="aix" ;;
-               *)            osname="linux" ;;
-       esac
-
-       myarch="${CHOST%%-*}-${osname}"
-       if use debug ; then
-               myarch+="-debug"
-       fi
-       if use ithreads ; then
-               mythreading="-multi"
-               myarch+="-thread"
-       fi
-
-       LIBPERL="libperl$(get_libname ${MY_PV} )"
-       PRIV_LIB="/usr/$(get_libdir)/perl5/${MY_PV}"
-       ARCH_LIB="/usr/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
-       SITE_LIB="/usr/local/$(get_libdir)/perl5/${MY_PV}"
-       
SITE_ARCH="/usr/local/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
-       VENDOR_LIB="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}"
-       
VENDOR_ARCH="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}/${myarch}${mythreading}"
-
-       if use ithreads ; then
-               echo ""
-               ewarn "THREADS WARNING:"
-               ewarn "PLEASE NOTE: You are compiling ${MY_P} with"
-               ewarn "interpreter-level threading enabled."
-               ewarn "Threading is not supported by all applications "
-               ewarn "that compile against perl. You use threading at "
-               ewarn "your own discretion. "
-       fi
-       check_rebuild
-       dual_scripts
-}
-
-check_rebuild() {
-       if has_version "<dev-lang/perl-${SHORT_PV}" ; then
-               echo ""
-               ewarn "UPDATE THE PERL MODULES:"
-               ewarn "After updating dev-lang/perl the installed Perl modules 
will"
-               ewarn "have to be re-installed. In most cases, this is done 
automatically"
-               ewarn "by the package manager, but you should still call 
perl-cleaner to"
-               ewarn "make sure your system is consistent."
-               ewarn "Use: perl-cleaner --all"
-       elif has_version dev-lang/perl ; then
-               # doesnot work
-               #if ! has_version dev-lang/perl[ithreads=,debug=] ; then
-               #if ! has_version dev-lang/perl[ithreads=] || ! has_version 
dev-lang/perl[debug=] ; then
-               if (   use ithreads && ! has_version dev-lang/perl[ithreads] ) 
|| \
-                  ( ! use ithreads &&   has_version dev-lang/perl[ithreads] ) 
|| \
-                  (   use debug    && ! has_version dev-lang/perl[debug]    ) 
|| \
-                  ( ! use debug    &&   has_version dev-lang/perl[debug]    ) 
; then
-                       echo ""
-                       ewarn "TOGGLED USE-FLAGS WARNING:"
-                       ewarn "You changed one of the use-flags ithreads or 
debug."
-                       ewarn "You must rebuild all perl-modules installed."
-                       ewarn "Use: perl-cleaner --modules ; perl-cleaner 
--force --libperl"
-               fi
-       fi
-}
-

diff --git a/dev-lang/perl/files/eblits/pkg_setup-v50240001.eblit 
b/dev-lang/perl/files/eblits/pkg_setup-v50240001.eblit
deleted file mode 100644
index 9ce8e99..0000000
--- a/dev-lang/perl/files/eblits/pkg_setup-v50240001.eblit
+++ /dev/null
@@ -1,66 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-pkg_setup() {
-       case ${CHOST} in
-               *-freebsd*)   osname="freebsd" ;;
-               *-dragonfly*) osname="dragonfly" ;;
-               *-netbsd*)    osname="netbsd" ;;
-               *-openbsd*)   osname="openbsd" ;;
-               *-darwin*)    osname="darwin" ;;
-               *-interix*)   osname="interix" ;;
-               *-aix*)       osname="aix" ;;
-               *)            osname="linux" ;;
-       esac
-
-       myarch="${CHOST%%-*}-${osname}"
-       if use debug ; then
-               myarch+="-debug"
-       fi
-       if use ithreads ; then
-               mythreading="-multi"
-               myarch+="-thread"
-       fi
-
-       LIBPERL="libperl$(get_libname ${MY_PV} )"
-       PRIV_LIB="/usr/$(get_libdir)/perl5/${MY_PV}"
-       ARCH_LIB="/usr/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
-       SITE_LIB="/usr/local/$(get_libdir)/perl5/${MY_PV}"
-       
SITE_ARCH="/usr/local/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
-       VENDOR_LIB="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}"
-       
VENDOR_ARCH="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}/${myarch}${mythreading}"
-
-       if use ithreads ; then
-               echo ""
-               ewarn "THREADS WARNING"
-               ewarn "PLEASE NOTE: You are compiling ${MY_P} with 
interpreter-level threading enabled."
-               ewarn "Threading is not supported by all applications that 
compile against perl. You"
-               ewarn "use threading at your own discretion."
-       fi
-       check_rebuild
-       dual_scripts
-}
-
-check_rebuild() {
-       if has_version "<dev-lang/perl-${SHORT_PV}" ; then
-               echo ""
-               ewarn "UPDATE THE PERL MODULES:"
-               ewarn "After updating dev-lang/perl the installed Perl modules 
will"
-               ewarn "have to be re-installed. In most cases, this is done 
automatically"
-               ewarn "by the package manager, but you should still call 
perl-cleaner to"
-               ewarn "make sure your system is consistent."
-               ewarn "Use: perl-cleaner --all"
-       elif has_version dev-lang/perl ; then
-               if (   use ithreads && ! has_version dev-lang/perl[ithreads] ) 
|| \
-                  ( ! use ithreads &&   has_version dev-lang/perl[ithreads] ) 
|| \
-                  (   use debug    && ! has_version dev-lang/perl[debug]    ) 
|| \
-                  ( ! use debug    &&   has_version dev-lang/perl[debug]    ) 
; then
-                       echo ""
-                       ewarn "TOGGLED USE-FLAGS WARNING:"
-                       ewarn "You changed one of the use-flags ithreads or 
debug."
-                       ewarn "You must rebuild all perl-modules installed."
-                       ewarn "Use: perl-cleaner --modules ; perl-cleaner 
--force --libperl"
-               fi
-       fi
-}

diff --git a/dev-lang/perl/files/eblits/src_configure-v50180002.eblit 
b/dev-lang/perl/files/eblits/src_configure-v50180002.eblit
deleted file mode 100644
index 05fa86b..0000000
--- a/dev-lang/perl/files/eblits/src_configure-v50180002.eblit
+++ /dev/null
@@ -1,188 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-myconf() {
-       # the myconf array is declared in src_configure
-       myconf=( "${myconf[@]}" "$@" )
-}
-
-eblit-perl-src_configure() {
-       declare -a myconf
-
-       export LC_ALL="C"
-       [[ ${COLUMNS:-1} -ge 1 ]] || unset COLUMNS # bug #394091
-
-       # some arches and -O do not mix :)
-       use ppc && replace-flags -O? -O1
-       # Perl has problems compiling with -Os in your flags with glibc
-       use elibc_uclibc || replace-flags "-Os" "-O2"
-       # This flag makes compiling crash in interesting ways
-       filter-flags "-malign-double"
-       # Fixes bug #97645
-       use ppc && filter-flags "-mpowerpc-gpopt"
-       # Fixes bug #143895 on gcc-4.1.1
-       filter-flags "-fsched2-use-superblocks"
-
-       use sparc && myconf -Ud_longdbl
-
-       export BUILD_BZIP2=0
-       export BZIP2_INCLUDE=${EPREFIX}/usr/include
-       export BZIP2_LIB=${EPREFIX}/usr/$(get_libdir)
-
-       export BUILD_ZLIB=False
-       export ZLIB_INCLUDE=${EPREFIX}/usr/include
-       export ZLIB_LIB=${EPREFIX}/usr/$(get_libdir)
-
-       # allow either gdbm to provide ndbm (in <gdbm/ndbm.h>) or db1
-
-       myndbm='U'
-       mygdbm='U'
-       mydb='U'
-
-       if use gdbm ; then
-               mygdbm='D'
-               myndbm='D'
-       fi
-       if use berkdb ; then
-               mydb='D'
-               has_version '=sys-libs/db-1*' && myndbm='D'
-       fi
-
-       myconf "-${myndbm}i_ndbm" "-${mygdbm}i_gdbm" "-${mydb}i_db"
-
-       if use alpha && [[ "$(tc-getCC)" = "ccc" ]] ; then
-               ewarn "Perl will not be built with berkdb support, use gcc if 
you needed it..."
-               myconf -Ui_db -Ui_ndbm
-       fi
-
-       use ithreads && myconf -Dusethreads
-
-       if use debug ; then
-               append-cflags "-g"
-               myconf -DDEBUGGING
-       elif [[ ${CFLAGS} == *-g* ]] ; then
-               myconf -DDEBUGGING=-g
-       else
-               myconf -DDEBUGGING=none
-       fi
-
-       if [[ -n ${PERL_OLDVERSEN} ]] ; then
-               local inclist=$(for v in ${PERL_OLDVERSEN}; do echo -n 
"${v}/${myarch}${mythreading} ${v} "; done )
-               myconf -Dinc_version_list="${inclist}"
-       fi
-
-       [[ ${ELIBC} == "FreeBSD" ]] && myconf "-Dlibc=/usr/$(get_libdir)/libc.a"
-
-       # Make sure we can do the final link #523730, need to set deployment
-       # target to override hardcoded 10.3 which breaks on modern OSX
-       [[ ${CHOST} == *-darwin* ]] && \
-               myconf "-Dld=env 
MACOSX_DEPLOYMENT_TARGET=${MACOSX_DEPLOYMENT_TARGET} $(tc-getCC)"
-
-       # Prefix: the host system needs not to follow Gentoo multilib stuff, 
and in
-       # Prefix itself we don't do multilib either, so make sure perl can find
-       # something compatible.
-       if use prefix ; then
-               # Set a hook to check for each detected library whether it 
actually works.
-               export libscheck="
-                       ( echo 'main(){}' > '${T}'/conftest.c &&
-                         $(tc-getCC) -o '${T}'/conftest '${T}'/conftest.c 
-l\$thislib >/dev/null 2>/dev/null
-                       ) || xxx=/dev/null"
-
-               # Use all host paths that might contain useful stuff, the hook 
above will filter out bad choices.
-               local paths="/lib/*-linux-gnu /usr/lib/*-linux-gnu /lib64 
/lib/64 /usr/lib64 /usr/lib/64 /lib32 /usr/lib32 /lib /usr/lib"
-               myconf "-Dlibpth=${EPREFIX}/$(get_libdir) 
${EPREFIX}/usr/$(get_libdir) ${paths}"
-       elif [[ $(get_libdir) != "lib" ]] ; then
-               # We need to use " and not ', as the written config.sh use ' ...
-               myconf "-Dlibpth=/usr/local/$(get_libdir) /$(get_libdir) 
/usr/$(get_libdir)"
-       fi
-
-       # don't try building ODBM, bug #354453
-       disabled_extensions="ODBM_File"
-
-       if ! use gdbm ; then
-               # workaround for bug #157774: don't try building GDBM related 
stuff with USE="-gdbm"
-               disabled_extensions="${disabled_extensions} GDBM_File NDBM_File"
-       fi
-
-       myconf -Dnoextensions="${disabled_extensions}"
-
-       echo Configuring Perl as follows:
-       echo sh Configure \
-               -des \
-               -Duseshrplib \
-               -Darchname="${myarch}" \
-               -Dcc="$(tc-getCC)" \
-               -Doptimize="${CFLAGS}" \
-               -Dldflags="${LDFLAGS}" \
-               -Dprefix="${EPREFIX}"'/usr' \
-               -Dinstallprefix="${EPREFIX}"'/usr' \
-               -Dsiteprefix="${EPREFIX}"'/usr/local' \
-               -Dvendorprefix="${EPREFIX}"'/usr' \
-               -Dscriptdir="${EPREFIX}"'/usr/bin' \
-               -Dprivlib="${EPREFIX}${PRIV_LIB}" \
-               -Darchlib="${EPREFIX}${ARCH_LIB}" \
-               -Dsitelib="${EPREFIX}${SITE_LIB}" \
-               -Dsitearch="${EPREFIX}${SITE_ARCH}" \
-               -Dvendorlib="${EPREFIX}${VENDOR_LIB}" \
-               -Dvendorarch="${EPREFIX}${VENDOR_ARCH}" \
-               -Dman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dsiteman1dir="${EPREFIX}"/usr/local/man/man1 \
-               -Dsiteman3dir="${EPREFIX}"/usr/local/man/man3 \
-               -Dvendorman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dvendorman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dman1ext='1' \
-               -Dman3ext='3pm' \
-               -Dlibperl="${LIBPERL}" \
-               -Dlocincpth="${EPREFIX}"'/usr/include ' \
-               -Dglibpth="${EPREFIX}/$(get_libdir) 
${EPREFIX}/usr/$(get_libdir)"' ' \
-               -Duselargefiles \
-               -Dd_semctl_semun \
-               -Dcf_by='Gentoo' \
-               -Dmyhostname='localhost' \
-               -Dperladmin='root@localhost' \
-               -Dinstallusrbinperl='n' \
-               -Ud_csh \
-               -Uusenm \
-               "${myconf[@]}"
-
-       sh Configure \
-               -des \
-               -Duseshrplib \
-               -Darchname="${myarch}" \
-               -Dcc="$(tc-getCC)" \
-               -Doptimize="${CFLAGS}" \
-               -Dldflags="${LDFLAGS}" \
-               -Dprefix="${EPREFIX}"'/usr' \
-               -Dinstallprefix="${EPREFIX}"'/usr' \
-               -Dsiteprefix="${EPREFIX}"'/usr/local' \
-               -Dvendorprefix="${EPREFIX}"'/usr' \
-               -Dscriptdir="${EPREFIX}"'/usr/bin' \
-               -Dprivlib="${EPREFIX}${PRIV_LIB}" \
-               -Darchlib="${EPREFIX}${ARCH_LIB}" \
-               -Dsitelib="${EPREFIX}${SITE_LIB}" \
-               -Dsitearch="${EPREFIX}${SITE_ARCH}" \
-               -Dvendorlib="${EPREFIX}${VENDOR_LIB}" \
-               -Dvendorarch="${EPREFIX}${VENDOR_ARCH}" \
-               -Dman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dsiteman1dir="${EPREFIX}"/usr/local/man/man1 \
-               -Dsiteman3dir="${EPREFIX}"/usr/local/man/man3 \
-               -Dvendorman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dvendorman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dman1ext='1' \
-               -Dman3ext='3pm' \
-               -Dlibperl="${LIBPERL}" \
-               -Dlocincpth="${EPREFIX}"'/usr/include ' \
-               -Dglibpth="${EPREFIX}/$(get_libdir) 
${EPREFIX}/usr/$(get_libdir)"' ' \
-               -Duselargefiles \
-               -Dd_semctl_semun \
-               -Dcf_by='Gentoo' \
-               -Dmyhostname='localhost' \
-               -Dperladmin='root@localhost' \
-               -Dinstallusrbinperl='n' \
-               -Ud_csh \
-               -Uusenm \
-               "${myconf[@]}" || die "Unable to configure"
-}

diff --git a/dev-lang/perl/files/eblits/src_configure-v50240001.eblit 
b/dev-lang/perl/files/eblits/src_configure-v50240001.eblit
deleted file mode 100644
index 3ea553e..0000000
--- a/dev-lang/perl/files/eblits/src_configure-v50240001.eblit
+++ /dev/null
@@ -1,192 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-myconf() {
-       # the myconf array is declared in src_configure
-       myconf=( "${myconf[@]}" "$@" )
-}
-
-eblit-perl-src_configure() {
-       declare -a myconf
-
-       export LC_ALL="C"
-       [[ ${COLUMNS:-1} -ge 1 ]] || unset COLUMNS # bug #394091
-
-       # some arches and -O do not mix :)
-       use ppc && replace-flags -O? -O1
-       # Perl has problems compiling with -Os in your flags with glibc
-       use elibc_uclibc || replace-flags "-Os" "-O2"
-       # This flag makes compiling crash in interesting ways
-       filter-flags "-malign-double"
-       # Fixes bug #97645
-       use ppc && filter-flags "-mpowerpc-gpopt"
-       # Fixes bug #143895 on gcc-4.1.1
-       filter-flags "-fsched2-use-superblocks"
-
-       use sparc && myconf -Ud_longdbl
-
-       export BUILD_BZIP2=0
-       export BZIP2_INCLUDE=${EPREFIX}/usr/include
-       export BZIP2_LIB=${EPREFIX}/usr/$(get_libdir)
-
-       export BUILD_ZLIB=False
-       export ZLIB_INCLUDE=${EPREFIX}/usr/include
-       export ZLIB_LIB=${EPREFIX}/usr/$(get_libdir)
-
-       # allow either gdbm to provide ndbm (in <gdbm/ndbm.h>) or db1
-
-       myndbm='U'
-       mygdbm='U'
-       mydb='U'
-
-       if use gdbm ; then
-               mygdbm='D'
-               myndbm='D'
-       fi
-       if use berkdb ; then
-               mydb='D'
-               has_version '=sys-libs/db-1*' && myndbm='D'
-       fi
-
-       myconf "-${myndbm}i_ndbm" "-${mygdbm}i_gdbm" "-${mydb}i_db"
-
-       if use alpha && [[ "$(tc-getCC)" = "ccc" ]] ; then
-               ewarn "Perl will not be built with berkdb support, use gcc if 
you needed it..."
-               myconf -Ui_db -Ui_ndbm
-       fi
-
-       use ithreads && myconf -Dusethreads
-
-       if use debug ; then
-               append-cflags "-g"
-               myconf -DDEBUGGING
-       elif [[ ${CFLAGS} == *-g* ]] ; then
-               myconf -DDEBUGGING=-g
-       else
-               myconf -DDEBUGGING=none
-       fi
-
-       if [[ -n ${PERL_OLDVERSEN} ]] ; then
-               local inclist=$(for v in ${PERL_OLDVERSEN}; do echo -n 
"${v}/${myarch}${mythreading} ${v} "; done )
-               myconf -Dinc_version_list="${inclist}"
-       fi
-
-       [[ ${ELIBC} == "FreeBSD" ]] && myconf "-Dlibc=/usr/$(get_libdir)/libc.a"
-
-       # Make sure we can do the final link #523730, need to set deployment
-       # target to override hardcoded 10.3 which breaks on modern OSX
-       [[ ${CHOST} == *-darwin* ]] && \
-               myconf "-Dld=env 
MACOSX_DEPLOYMENT_TARGET=${MACOSX_DEPLOYMENT_TARGET} $(tc-getCC)"
-
-       # Prefix: the host system needs not to follow Gentoo multilib stuff, 
and in
-       # Prefix itself we don't do multilib either, so make sure perl can find
-       # something compatible.
-       if use prefix ; then
-               # Set a hook to check for each detected library whether it 
actually works.
-               export libscheck="
-                       ( echo 'main(){}' > '${T}'/conftest.c &&
-                         $(tc-getCC) -o '${T}'/conftest '${T}'/conftest.c 
-l\$thislib >/dev/null 2>/dev/null
-                       ) || xxx=/dev/null"
-
-               # Use all host paths that might contain useful stuff, the hook 
above will filter out bad choices.
-               local paths="/lib/*-linux-gnu /usr/lib/*-linux-gnu /lib64 
/lib/64 /usr/lib64 /usr/lib/64 /lib32 /usr/lib32 /lib /usr/lib"
-               myconf "-Dlibpth=${EPREFIX}/$(get_libdir) 
${EPREFIX}/usr/$(get_libdir) ${paths}"
-       elif [[ $(get_libdir) != "lib" ]] ; then
-               # We need to use " and not ', as the written config.sh use ' ...
-               myconf "-Dlibpth=/usr/local/$(get_libdir) /$(get_libdir) 
/usr/$(get_libdir)"
-       fi
-
-       # don't try building ODBM, bug #354453
-       disabled_extensions="ODBM_File"
-
-       if ! use gdbm ; then
-               # workaround for bug #157774: don't try building GDBM related 
stuff with USE="-gdbm"
-               disabled_extensions="${disabled_extensions} GDBM_File NDBM_File"
-       fi
-
-       myconf -Dnoextensions="${disabled_extensions}"
-
-       echo Configuring Perl as follows:
-       echo sh Configure \
-               -des \
-               -Duseshrplib \
-               -Darchname="${myarch}" \
-               -Dcc="$(tc-getCC)" \
-               -Doptimize="${CFLAGS}" \
-               -Dldflags="${LDFLAGS}" \
-               -Dprefix="${EPREFIX}"'/usr' \
-               -Dinstallprefix="${EPREFIX}"'/usr' \
-               -Dsiteprefix="${EPREFIX}"'/usr/local' \
-               -Dvendorprefix="${EPREFIX}"'/usr' \
-               -Dscriptdir="${EPREFIX}"'/usr/bin' \
-               -Dprivlib="${EPREFIX}${PRIV_LIB}" \
-               -Darchlib="${EPREFIX}${ARCH_LIB}" \
-               -Dsitelib="${EPREFIX}${SITE_LIB}" \
-               -Dsitearch="${EPREFIX}${SITE_ARCH}" \
-               -Dvendorlib="${EPREFIX}${VENDOR_LIB}" \
-               -Dvendorarch="${EPREFIX}${VENDOR_ARCH}" \
-               -Dman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dsiteman1dir="${EPREFIX}"/usr/local/man/man1 \
-               -Dsiteman3dir="${EPREFIX}"/usr/local/man/man3 \
-               -Dvendorman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dvendorman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dman1ext='1' \
-               -Dman3ext='3pm' \
-               -Dlibperl="${LIBPERL}" \
-               -Dlocincpth="${EPREFIX}"'/usr/include ' \
-               -Dglibpth="${EPREFIX}/$(get_libdir) 
${EPREFIX}/usr/$(get_libdir)"' ' \
-               -Duselargefiles \
-               -Dd_semctl_semun \
-               -Dcf_by='Gentoo' \
-               -Dmyhostname='localhost' \
-               -Dperladmin='root@localhost' \
-               -Dinstallusrbinperl='n' \
-               -Ud_csh \
-               -Dsh="${EPREFIX}"/bin/sh \
-               -Dtargetsh="${EPREFIX}"/bin/sh \
-               -Uusenm \
-               "${myconf[@]}"
-
-       sh Configure \
-               -des \
-               -Duseshrplib \
-               -Darchname="${myarch}" \
-               -Dcc="$(tc-getCC)" \
-               -Doptimize="${CFLAGS}" \
-               -Dldflags="${LDFLAGS}" \
-               -Dprefix="${EPREFIX}"'/usr' \
-               -Dinstallprefix="${EPREFIX}"'/usr' \
-               -Dsiteprefix="${EPREFIX}"'/usr/local' \
-               -Dvendorprefix="${EPREFIX}"'/usr' \
-               -Dscriptdir="${EPREFIX}"'/usr/bin' \
-               -Dprivlib="${EPREFIX}${PRIV_LIB}" \
-               -Darchlib="${EPREFIX}${ARCH_LIB}" \
-               -Dsitelib="${EPREFIX}${SITE_LIB}" \
-               -Dsitearch="${EPREFIX}${SITE_ARCH}" \
-               -Dvendorlib="${EPREFIX}${VENDOR_LIB}" \
-               -Dvendorarch="${EPREFIX}${VENDOR_ARCH}" \
-               -Dman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dsiteman1dir="${EPREFIX}"/usr/local/man/man1 \
-               -Dsiteman3dir="${EPREFIX}"/usr/local/man/man3 \
-               -Dvendorman1dir="${EPREFIX}"/usr/share/man/man1 \
-               -Dvendorman3dir="${EPREFIX}"/usr/share/man/man3 \
-               -Dman1ext='1' \
-               -Dman3ext='3pm' \
-               -Dlibperl="${LIBPERL}" \
-               -Dlocincpth="${EPREFIX}"'/usr/include ' \
-               -Dglibpth="${EPREFIX}/$(get_libdir) 
${EPREFIX}/usr/$(get_libdir)"' ' \
-               -Duselargefiles \
-               -Dd_semctl_semun \
-               -Dcf_by='Gentoo' \
-               -Dmyhostname='localhost' \
-               -Dperladmin='root@localhost' \
-               -Dinstallusrbinperl='n' \
-               -Ud_csh \
-               -Dsh="${EPREFIX}"/bin/sh \
-               -Dtargetsh="${EPREFIX}"/bin/sh \
-               -Uusenm \
-               "${myconf[@]}" || die "Unable to configure"
-}

diff --git a/dev-lang/perl/files/eblits/src_install-v50160001.eblit 
b/dev-lang/perl/files/eblits/src_install-v50160001.eblit
deleted file mode 100644
index aa90fae..0000000
--- a/dev-lang/perl/files/eblits/src_install-v50160001.eblit
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-src_install() {
-       local i
-       local coredir="${ARCH_LIB}/CORE"
-
-       emake DESTDIR="${D}" install
-
-       rm -f "${ED}"/usr/bin/perl
-       ln -s perl${MY_PV} "${ED}"/usr/bin/perl || die
-
-       if ! tc-is-static-only ; then
-               dolib.so "${ED}"${coredir}/${LIBPERL}
-               rm -f "${ED}"${coredir}/${LIBPERL}
-               ln -sf ${LIBPERL} 
"${ED}"/usr/$(get_libdir)/libperl$(get_libname ${SHORT_PV}) || die
-               ln -sf ${LIBPERL} 
"${ED}"/usr/$(get_libdir)/libperl$(get_libname) || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/${LIBPERL} || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/libperl$(get_libname ${SHORT_PV}) || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/libperl$(get_libname) || die
-       fi
-
-       rm -rf "${ED}"/usr/share/man/man3 || die "Unable to remove module man 
pages"
-
-#      # A poor fix for the miniperl issues
-#      dosed 's:./miniperl:/usr/bin/perl:' 
/usr/$(get_libdir)/perl5/${MY_PV}/ExtUtils/xsubpp
-#      fperms 0444 /usr/$(get_libdir)/perl5/${MY_PV}/ExtUtils/xsubpp
-#      dosed 's:./miniperl:/usr/bin/perl:' /usr/bin/xsubpp
-#      fperms 0755 /usr/bin/xsubpp
-
-       # This removes ${D} from Config.pm
-       for i in $(find "${D}" -iname "Config.pm" ) ; do
-               einfo "Removing ${D} from ${i}..."
-               sed -i -e "s:${D}::" "${i}" || die "Sed failed"
-       done
-
-       find "${ED}" -type f -name .packlist -delete || die
-
-       # Note: find out from psm why we would need/want this.
-       # ( use berkdb && has_version '=sys-libs/db-1*' ) ||
-       #       find "${ED}" -name "*NDBM*" | xargs rm -f
-
-       dodoc Changes* README AUTHORS
-
-       if use doc ; then
-               # HTML Documentation
-               # We expect errors, warnings, and such with the following.
-
-               dodir /usr/share/doc/${PF}/html
-               LD_LIBRARY_PATH=. ./perl installhtml \
-                       --podroot='.' \
-                       --podpath='lib:ext:pod:vms' \
-                       --recurse \
-                       --htmldir="${ED}/usr/share/doc/${PF}/html"
-       fi
-
-       [[ -d ${ED}/usr/local ]] && rm -r "${ED}"/usr/local
-
-       dual_scripts
-}

diff --git a/dev-lang/perl/files/eblits/src_install-v50200001.eblit 
b/dev-lang/perl/files/eblits/src_install-v50200001.eblit
deleted file mode 100644
index fafff82..0000000
--- a/dev-lang/perl/files/eblits/src_install-v50200001.eblit
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-src_install() {
-       local i
-       local coredir="${ARCH_LIB}/CORE"
-
-       emake DESTDIR="${D}" install
-
-       rm -f "${ED}/usr/bin/perl${MY_PV}"
-       ln -s perl "${ED}"/usr/bin/perl${MY_PV} || die
-
-       if ! tc-is-static-only ; then
-               dolib.so "${ED}"${coredir}/${LIBPERL}
-               rm -f "${ED}"${coredir}/${LIBPERL}
-               ln -sf ${LIBPERL} 
"${ED}"/usr/$(get_libdir)/libperl$(get_libname ${SHORT_PV}) || die
-               ln -sf ${LIBPERL} 
"${ED}"/usr/$(get_libdir)/libperl$(get_libname) || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/${LIBPERL} || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/libperl$(get_libname ${SHORT_PV}) || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/libperl$(get_libname) || die
-       fi
-
-       rm -rf "${ED}"/usr/share/man/man3 || die "Unable to remove module man 
pages"
-
-       # This removes ${D} from Config.pm
-       for i in $(find "${D}" -iname "Config.pm" ) ; do
-               einfo "Removing ${D} from ${i}..."
-               sed -i -e "s:${D}::" "${i}" || die "Sed failed"
-       done
-
-       find "${ED}" -type f -name .packlist -delete || die
-
-       dodoc Changes* README AUTHORS
-
-       if use doc ; then
-               # HTML Documentation
-               # We expect errors, warnings, and such with the following.
-
-               dodir /usr/share/doc/${PF}/html
-               LD_LIBRARY_PATH=. ./perl installhtml \
-                       --podroot='.' \
-                       --podpath='lib:ext:pod:vms' \
-                       --recurse \
-                       --htmldir="${ED}/usr/share/doc/${PF}/html"
-       fi
-
-       [[ -d ${ED}/usr/local ]] && rm -r "${ED}"/usr/local
-
-       dual_scripts
-}

diff --git a/dev-lang/perl/files/eblits/src_install-v50240001.eblit 
b/dev-lang/perl/files/eblits/src_install-v50240001.eblit
deleted file mode 100644
index fafff82..0000000
--- a/dev-lang/perl/files/eblits/src_install-v50240001.eblit
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-src_install() {
-       local i
-       local coredir="${ARCH_LIB}/CORE"
-
-       emake DESTDIR="${D}" install
-
-       rm -f "${ED}/usr/bin/perl${MY_PV}"
-       ln -s perl "${ED}"/usr/bin/perl${MY_PV} || die
-
-       if ! tc-is-static-only ; then
-               dolib.so "${ED}"${coredir}/${LIBPERL}
-               rm -f "${ED}"${coredir}/${LIBPERL}
-               ln -sf ${LIBPERL} 
"${ED}"/usr/$(get_libdir)/libperl$(get_libname ${SHORT_PV}) || die
-               ln -sf ${LIBPERL} 
"${ED}"/usr/$(get_libdir)/libperl$(get_libname) || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/${LIBPERL} || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/libperl$(get_libname ${SHORT_PV}) || die
-               ln -sf ../../../../../$(get_libdir)/${LIBPERL} 
"${ED}"${coredir}/libperl$(get_libname) || die
-       fi
-
-       rm -rf "${ED}"/usr/share/man/man3 || die "Unable to remove module man 
pages"
-
-       # This removes ${D} from Config.pm
-       for i in $(find "${D}" -iname "Config.pm" ) ; do
-               einfo "Removing ${D} from ${i}..."
-               sed -i -e "s:${D}::" "${i}" || die "Sed failed"
-       done
-
-       find "${ED}" -type f -name .packlist -delete || die
-
-       dodoc Changes* README AUTHORS
-
-       if use doc ; then
-               # HTML Documentation
-               # We expect errors, warnings, and such with the following.
-
-               dodir /usr/share/doc/${PF}/html
-               LD_LIBRARY_PATH=. ./perl installhtml \
-                       --podroot='.' \
-                       --podpath='lib:ext:pod:vms' \
-                       --recurse \
-                       --htmldir="${ED}/usr/share/doc/${PF}/html"
-       fi
-
-       [[ -d ${ED}/usr/local ]] && rm -r "${ED}"/usr/local
-
-       dual_scripts
-}

diff --git a/dev-lang/perl/files/eblits/src_prepare-v50160001.eblit 
b/dev-lang/perl/files/eblits/src_prepare-v50160001.eblit
deleted file mode 100644
index a12b773..0000000
--- a/dev-lang/perl/files/eblits/src_prepare-v50160001.eblit
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-src_prepare_update_patchlevel_h() {
-       # Copied and modified from debian:
-       # Copyright 2011 Niko Tyni
-       # This program is free software; you can redistribute it and/or modify
-       # it under the same terms as Perl itself.
-       local patchdir="${WORKDIR}/patches"
-       local prefix
-
-       [[ -f ${patchdir}/series ]] || return 0
-
-while read patch
-do
-       patchname=$(echo $patch | sed 's/\.diff$//')
-       < $patchdir/$patch sed -e '/^Subject:/ { N; s/\n / / }' | sed -n -e '
-
-       # massage the patch headers
-       s|^Bug: .*https\?://rt\.perl\.org/.*id=\(.*\).*|[perl #\1]|; tprepend;
-       s|^Bug: .*https\?://rt\.cpan\.org/.*id=\(.*\).*|[rt.cpan.org #\1]|; 
tprepend;
-       s|^Bug-Gentoo: ||; tprepend;
-       s/^\(Subject\|Description\): //; tappend;
-       s|^Origin: 
.*http://perl5\.git\.perl\.org/perl\.git/commit\(diff\)\?/\(.......\).*|[\2]|; 
tprepend;
-
-       # post-process at the end of input
-       $ { x;
-               # include the version number in the patchlevel.h description 
(if available)
-               s/List packaged patches/&'" for ${PF}(#${PATCH_VER})"'/;
-
-               # escape any backslashes and double quotes
-               s|\\|\\\\|g; s|"|\\"|g;
-
-               # add a prefix
-               s|^|\t,"'"$prefix$patchname"' - |;
-               # newlines away
-               s/\n/ /g; s/  */ /g;
-               # add a suffix
-               s/ *$/"/; p
-       };
-       # stop all processing
-       d;
-       # label: append to the hold space
-       :append H; d;
-       # label: prepend to the hold space
-       :prepend x; H; d;
-       '
-done < "${WORKDIR}"/patches/series > "${S}"/patchlevel-gentoo.h
-}
-
-eblit-perl-src_prepare() {
-       local patch
-       EPATCH_OPTS+=" -p1"
-       einfo "Applying patches from ${MY_P}-${PATCH_VER} ..."
-       while read patch ; do
-               EPATCH_SINGLE_MSG="  ${patch} ..."
-               epatch "${WORKDIR}"/patches/${patch}
-       done < "${WORKDIR}"/patches/series
-
-       src_prepare_update_patchlevel_h
-
-       # pod/perltoc.pod fails
-       # lib/ExtUtils/t/Embed.t fails
-       if ! tc-is-static-only ; then
-               ln -s ${LIBPERL} libperl$(get_libname ${SHORT_PV}) || die
-               ln -s ${LIBPERL} libperl$(get_libname ) || die
-       fi
-}
-

diff --git a/dev-lang/perl/files/eblits/src_prepare-v50240001.eblit 
b/dev-lang/perl/files/eblits/src_prepare-v50240001.eblit
deleted file mode 100644
index 5387d4b..0000000
--- a/dev-lang/perl/files/eblits/src_prepare-v50240001.eblit
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-src_prepare_update_patchlevel_h() {
-       # Copied and modified from debian:
-       # Copyright 2011 Niko Tyni
-       # This program is free software; you can redistribute it and/or modify
-       # it under the same terms as Perl itself.
-       local patchdir="${WORKDIR}/patches"
-       local prefix
-
-       [[ -f ${patchdir}/series ]] || return 0
-
-while read patch
-do
-       patchname=$(echo $patch | sed 's/\.diff$//')
-       < $patchdir/$patch sed -e '/^Subject:/ { N; s/\n / / }' | sed -n -e '
-
-       # massage the patch headers
-       s|^Bug: .*https\?://rt\.perl\.org/.*id=\(.*\).*|[perl #\1]|; tprepend;
-       s|^Bug: .*https\?://rt\.cpan\.org/.*id=\(.*\).*|[rt.cpan.org #\1]|; 
tprepend;
-       s|^Bug-Gentoo: ||; tprepend;
-       s/^\(Subject\|Description\): //; tappend;
-       s|^Origin: 
.*http://perl5\.git\.perl\.org/perl\.git/commit\(diff\)\?/\(.......\).*|[\2]|; 
tprepend;
-
-       # post-process at the end of input
-       $ { x;
-               # include the version number in the patchlevel.h description 
(if available)
-               s/List packaged patches/&'" for ${PF}(#${PATCH_VER})"'/;
-
-               # escape any backslashes and double quotes
-               s|\\|\\\\|g; s|"|\\"|g;
-
-               # add a prefix
-               s|^|\t,"'"$prefix$patchname"' - |;
-               # newlines away
-               s/\n/ /g; s/  */ /g;
-               # add a suffix
-               s/ *$/"/; p
-       };
-       # stop all processing
-       d;
-       # label: append to the hold space
-       :append H; d;
-       # label: prepend to the hold space
-       :prepend x; H; d;
-       '
-done < "${WORKDIR}"/patches/series > "${S}"/patchlevel-gentoo.h
-}
-
-eblit-perl-src_prepare() {
-       local patch
-       EPATCH_OPTS+=" -p1"
-       einfo "Applying patches from ${MY_P}-${PATCH_VER} ..."
-       while read patch ; do
-               EPATCH_SINGLE_MSG="  ${patch} ..."
-               epatch "${WORKDIR}"/patches/${patch}
-       done < "${WORKDIR}"/patches/series
-
-       src_prepare_update_patchlevel_h
-
-       # pod/perltoc.pod fails
-       # lib/ExtUtils/t/Embed.t fails
-       if ! tc-is-static-only ; then
-               ln -s ${LIBPERL} libperl$(get_libname ${SHORT_PV}) || die
-               ln -s ${LIBPERL} libperl$(get_libname ) || die
-       fi
-
-       default
-}
-

diff --git a/dev-lang/perl/files/eblits/src_test-v50160001.eblit 
b/dev-lang/perl/files/eblits/src_test-v50160001.eblit
deleted file mode 100644
index 9e241ec..0000000
--- a/dev-lang/perl/files/eblits/src_test-v50160001.eblit
+++ /dev/null
@@ -1,12 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-eblit-perl-src_test() {
-       if [[ ${EUID} == 0 ]] ; then
-               ewarn "Test fails with a sandbox error (#328793) if run as 
root. Skipping tests..."
-               return 0
-       fi
-       use elibc_uclibc && export MAKEOPTS+=" -j1"
-       TEST_JOBS="$(makeopts_jobs)" make test_harness || die "test failed"
-}

diff --git a/dev-lang/perl/files/perl-5.22.0-cwd-prefix.patch 
b/dev-lang/perl/files/perl-5.22.0-cwd-prefix.patch
deleted file mode 100644
index afa016f..0000000
--- a/dev-lang/perl/files/perl-5.22.0-cwd-prefix.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-On RAP, pwd from the host system will refer to the dynamic linker there,
-causing symbol error from incompatibility of glibc.  Always call pwd within
-RAP.
-
-  Benda Xu <[email protected]> Tue May 12 11:00:17 JST 2015
-
---- perl-5.22.0/dist/PathTools/Cwd.pm
-+++ perl-5.22.0/dist/PathTools/Cwd.pm
-@@ -168,8 +168,8 @@ $METHOD_MAP{NT} = $METHOD_MAP{MSWin32};
- # so everything works under taint mode.
- my $pwd_cmd;
- if($^O ne 'MSWin32') {
--    foreach my $try ('/bin/pwd',
--                   '/usr/bin/pwd',
-+    foreach my $try ('@GENTOO_PORTAGE_EPREFIX@/bin/pwd',
-+                   '@GENTOO_PORTAGE_EPREFIX@/usr/bin/pwd',
-                    '/QOpenSys/bin/pwd', # OS/400 PASE.
-                   ) {
-       if( -x $try ) {

diff --git a/dev-lang/perl/files/perl-cwd-prefix.patch 
b/dev-lang/perl/files/perl-cwd-prefix.patch
deleted file mode 100644
index 5edc924..0000000
--- a/dev-lang/perl/files/perl-cwd-prefix.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-On RAP, pwd from the host system will refer to the dynamic linker there,
-causing symbol error from incompatibility of glibc.  Always call pwd within
-RAP.
-
-  Benda Xu <[email protected]> Tue May 12 11:00:17 JST 2015
-
---- perl-5.16.3/dist/PathTools/Cwd.pm
-+++ perl-5.16.3/dist/PathTools/Cwd.pm
-@@ -331,8 +331,8 @@ $METHOD_MAP{NT} = $METHOD_MAP{MSWin32};
- # are safe.  This prevents _backtick_pwd() consulting $ENV{PATH}
- # so everything works under taint mode.
- my $pwd_cmd;
--foreach my $try ('/bin/pwd',
--               '/usr/bin/pwd',
-+foreach my $try ('@GENTOO_PORTAGE_EPREFIX@/bin/pwd',
-+               '@GENTOO_PORTAGE_EPREFIX@/usr/bin/pwd',
-                '/QOpenSys/bin/pwd', # OS/400 PASE.
-               ) {
- 

diff --git a/dev-lang/perl/metadata.xml b/dev-lang/perl/metadata.xml
deleted file mode 100644
index 1f1398a..0000000
--- a/dev-lang/perl/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
-<pkgmetadata>
-       <herd>perl</herd>
-       <use>
-               <flag name='ithreads'>Enable Perl threads, has some 
compatibility problems</flag>
-       </use>
-</pkgmetadata>

diff --git a/dev-lang/perl/perl-5.22.0.ebuild b/dev-lang/perl/perl-5.22.0.ebuild
deleted file mode 100644
index 2315947..0000000
--- a/dev-lang/perl/perl-5.22.0.ebuild
+++ /dev/null
@@ -1,124 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit eutils alternatives flag-o-matic toolchain-funcs multilib 
multiprocessing prefix
-
-PATCH_VER=1
-
-PERL_OLDVERSEN=""
-MODULE_AUTHOR=SHAY
-
-SHORT_PV="${PV%.*}"
-MY_P="perl-${PV/_rc/-RC}"
-MY_PV="${PV%_rc*}"
-
-DESCRIPTION="Larry Wall's Practical Extraction and Report Language"
-
-SRC_URI="
-       mirror://cpan/src/5.0/${MY_P}.tar.bz2
-       
mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MY_P}.tar.bz2
-       mirror://gentoo/${MY_P}-patches-${PATCH_VER}.tar.xz
-       
http://dev.gentoo.org/~civil/distfiles/${MY_P}-patches-${PATCH_VER}.tar.xz
-"
-HOMEPAGE="http://www.perl.org/";
-
-LICENSE="|| ( Artistic GPL-1+ )"
-SLOT="0/${SHORT_PV}"
-KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~hppa-hpux 
~ia64 ~ia64-hpux ~ia64-linux ~m68k ~m68k-mint ~mips ~ppc ~ppc64 ~ppc-aix 
~ppc-macos ~s390 ~sh ~sparc ~sparc64-solaris ~sparc-solaris ~x64-freebsd 
~x64-macos ~x64-solaris ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~x86-linux 
~x86-macos ~x86-solaris"
-IUSE="berkdb debug doc gdbm ithreads"
-
-RDEPEND="
-       berkdb? ( sys-libs/db:* )
-       gdbm? ( >=sys-libs/gdbm-1.8.3 )
-       app-arch/bzip2
-       sys-libs/zlib
-"
-DEPEND="${RDEPEND}
-       !prefix? ( elibc_FreeBSD? ( sys-freebsd/freebsd-mk-defs ) )
-"
-PDEPEND="
-       >=app-admin/perl-cleaner-2.5
-       >=virtual/perl-File-Temp-0.230.400-r2
-       >=virtual/perl-Data-Dumper-2.154.0
-"
-# bug 390719, bug 523624
-
-S="${WORKDIR}/${MY_P}"
-
-dual_scripts() {
-       src_remove_dual      perl-core/Archive-Tar        2.40.0       ptar 
ptardiff ptargrep
-       src_remove_dual      perl-core/Digest-SHA         5.950.0       shasum
-       src_remove_dual      perl-core/CPAN               2.110.0        cpan
-       src_remove_dual      perl-core/Encode             2.720.0       enc2xs 
piconv
-       src_remove_dual      perl-core/ExtUtils-MakeMaker 7.40.100       
instmodsh
-       src_remove_dual      perl-core/ExtUtils-ParseXS   3.280.0       xsubpp
-       src_remove_dual      perl-core/IO-Compress        2.68.0        
zipdetails
-       src_remove_dual      perl-core/JSON-PP            2.273.0      json_pp
-       src_remove_dual      perl-core/Module-CoreList    5.201.505.200 corelist
-       src_remove_dual      perl-core/Pod-Parser         1.630.0       
pod2usage podchecker podselect
-       src_remove_dual      perl-core/Pod-Perldoc        3.250.0       perldoc
-       src_remove_dual      perl-core/Test-Harness       3.350.0       prove
-       src_remove_dual      perl-core/podlators          2.5.3         pod2man 
pod2text
-       src_remove_dual_man  perl-core/podlators          2.5.3         
/usr/share/man/man1/perlpodstyle.1
-}
-
-# eblit-include [--skip] <function> [version]
-eblit-include() {
-       local skipable=false
-       [[ $1 == "--skip" ]] && skipable=true && shift
-       [[ $1 == pkg_* ]] && skipable=true
-
-       local e v func=$1 ver=$2
-       [[ -z ${func} ]] && die "Usage: eblit-include <function> [version]"
-       for v in ${ver:+-}${ver} -${PVR} -${PV} "" ; do
-               e="${FILESDIR}/eblits/${func}${v}.eblit"
-               if [[ -e ${e} ]] ; then
-                       . "${e}"
-                       return 0
-               fi
-       done
-       ${skipable} && return 0
-       die "Could not locate requested eblit '${func}' in ${FILESDIR}/eblits/"
-}
-
-# eblit-run-maybe <function>
-# run the specified function if it is defined
-eblit-run-maybe() {
-       [[ $(type -t "$@") == "function" ]] && "$@"
-}
-
-# eblit-run <function> [version]
-# aka: src_unpack() { eblit-run src_unpack ; }
-eblit-run() {
-       eblit-include --skip common "${*:2}"
-       eblit-include "$@"
-       eblit-run-maybe eblit-$1-pre
-       eblit-${PN}-$1
-       eblit-run-maybe eblit-$1-post
-}
-
-src_prepare()  {
-       eblit-run src_prepare   v50160001
-       epatch "${FILESDIR}"/${P}-cwd-prefix.patch
-       eprefixify dist/PathTools/Cwd.pm
-}
-src_configure()        { eblit-run src_configure v50180002 ; }
-#src_compile() { eblit-run src_compile   v50160001 ; }
-src_test()             {
-       export NO_GENTOO_NETWORK_TESTS=1;
-       eblit-run src_test      v50160001 ;
-}
-src_install()  { eblit-run src_install   v50200001 ; }
-
-# FILESDIR might not be available during binpkg install
-# FIXME: version passing
-for x in setup {pre,post}{inst,rm} ; do
-       e="${FILESDIR}/eblits/pkg_${x}-v50220001.eblit"
-       if [[ -e ${e} ]] ; then
-               . "${e}"
-               eval "pkg_${x}() { eblit-run pkg_${x} v50160001 ; }"
-       fi
-done

diff --git a/dev-lang/perl/perl-5.24.0.ebuild b/dev-lang/perl/perl-5.24.0.ebuild
deleted file mode 100644
index 53bf104..0000000
--- a/dev-lang/perl/perl-5.24.0.ebuild
+++ /dev/null
@@ -1,126 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-inherit eutils alternatives flag-o-matic toolchain-funcs multilib 
multiprocessing
-
-PATCH_VER=1
-
-PERL_OLDVERSEN=""
-MODULE_AUTHOR=RJBS
-
-SHORT_PV="${PV%.*}"
-MY_P="perl-${PV/_rc/-RC}"
-MY_PV="${PV%_rc*}"
-
-DESCRIPTION="Larry Wall's Practical Extraction and Report Language"
-
-SRC_URI="
-       mirror://cpan/src/5.0/${MY_P}.tar.bz2
-       
mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MY_P}.tar.bz2
-       mirror://gentoo/${MY_P}-patches-${PATCH_VER}.tar.xz
-       
https://dev.gentoo.org/~dilfridge/distfiles/${MY_P}-patches-${PATCH_VER}.tar.xz
-"
-HOMEPAGE="http://www.perl.org/";
-
-LICENSE="|| ( Artistic GPL-1+ )"
-SLOT="0/${SHORT_PV}"
-KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~hppa-hpux 
~ia64 ~ia64-hpux ~ia64-linux ~m68k ~m68k-mint ~mips ~ppc ~ppc64 ~ppc-aix 
~ppc-macos ~s390 ~sh ~sparc ~sparc64-solaris ~sparc-solaris ~x64-freebsd 
~x64-macos ~x64-solaris ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~x86-linux 
~x86-macos ~x86-solaris"
-IUSE="berkdb debug doc gdbm ithreads"
-
-RDEPEND="
-       berkdb? ( sys-libs/db:* )
-       gdbm? ( >=sys-libs/gdbm-1.8.3 )
-       app-arch/bzip2
-       sys-libs/zlib
-"
-DEPEND="${RDEPEND}
-       !prefix? ( elibc_FreeBSD? ( sys-freebsd/freebsd-mk-defs ) )
-"
-PDEPEND="
-       >=app-admin/perl-cleaner-2.5
-       >=virtual/perl-File-Temp-0.230.400-r2
-       >=virtual/perl-Data-Dumper-2.154.0
-       virtual/perl-Test-Harness
-"
-# bug 390719, bug 523624
-# virtual/perl-Test-Harness is here for the bundled ExtUtils::MakeMaker
-
-S="${WORKDIR}/${MY_P}"
-
-dual_scripts() {
-       src_remove_dual      perl-core/Archive-Tar        2.40.0        ptar 
ptardiff ptargrep
-       src_remove_dual      perl-core/Digest-SHA         5.950.0       shasum
-       src_remove_dual      perl-core/CPAN               2.110.0       cpan
-       src_remove_dual      perl-core/Encode             2.800.0       enc2xs 
piconv
-       src_remove_dual      perl-core/ExtUtils-MakeMaker 7.100.100_rc  
instmodsh
-       src_remove_dual      perl-core/ExtUtils-ParseXS   3.310.0       xsubpp
-       src_remove_dual      perl-core/IO-Compress        2.69.0        
zipdetails
-       src_remove_dual      perl-core/JSON-PP            2.273.0       json_pp
-       src_remove_dual      perl-core/Module-CoreList    5.201.605.60  corelist
-       src_remove_dual      perl-core/Pod-Parser         1.630.0       
pod2usage podchecker podselect
-       src_remove_dual      perl-core/Pod-Perldoc        3.250.200_rc  perldoc
-       src_remove_dual      perl-core/Test-Harness       3.360.0       prove
-       src_remove_dual      perl-core/podlators          4.70.0        pod2man 
pod2text
-       src_remove_dual_man  perl-core/podlators          4.70.0        
/usr/share/man/man1/perlpodstyle.1
-}
-
-# eblit-include [--skip] <function> [version]
-eblit-include() {
-       local skipable=false
-       [[ $1 == "--skip" ]] && skipable=true && shift
-       [[ $1 == pkg_* ]] && skipable=true
-
-       local e v func=$1 ver=$2
-       [[ -z ${func} ]] && die "Usage: eblit-include <function> [version]"
-       for v in ${ver:+-}${ver} -${PVR} -${PV} "" ; do
-               e="${FILESDIR}/eblits/${func}${v}.eblit"
-               if [[ -e ${e} ]] ; then
-                       . "${e}"
-                       return 0
-               fi
-       done
-       ${skipable} && return 0
-       die "Could not locate requested eblit '${func}' in ${FILESDIR}/eblits/"
-}
-
-# eblit-run-maybe <function>
-# run the specified function if it is defined
-eblit-run-maybe() {
-       [[ $(type -t "$@") == "function" ]] && "$@"
-}
-
-# eblit-run <function> [version]
-# aka: src_unpack() { eblit-run src_unpack ; }
-eblit-run() {
-       eblit-include --skip common "${*:2}"
-       eblit-include "$@"
-       eblit-run-maybe eblit-$1-pre
-       eblit-${PN}-$1
-       eblit-run-maybe eblit-$1-post
-}
-
-src_prepare()  { eblit-run src_prepare   v50240001 ; }
-
-src_configure()        { eblit-run src_configure v50240001 ; }
-
-#src_compile() { eblit-run src_compile   v50160001 ; }
-
-src_test()             {
-       export NO_GENTOO_NETWORK_TESTS=1;
-       eblit-run src_test      v50160001 ;
-}
-
-src_install()  { eblit-run src_install   v50240001 ; }
-
-# FILESDIR might not be available during binpkg install
-# FIXME: version passing
-for x in setup {pre,post}{inst,rm} ; do
-       e="${FILESDIR}/eblits/pkg_${x}-v50240001.eblit"
-       if [[ -e ${e} ]] ; then
-               . "${e}"
-               eval "pkg_${x}() { eblit-run pkg_${x} v50240001 ; }"
-       fi
-done

diff --git a/dev-lang/php-5.4.0_rc7.ebuild b/dev-lang/php-5.4.0_rc7.ebuild
deleted file mode 100644
index 2ff9c54..0000000
--- a/dev-lang/php-5.4.0_rc7.ebuild
+++ /dev/null
@@ -1,398 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.4.0_rc7.ebuild,v 1.2 
2012/02/06 13:41:27 olemarkus Exp $
-
-EAPI=4
-
-inherit eutils autotools flag-o-matic versionator depend.apache apache-module 
db-use libtool prefix
-
-SUHOSIN_VERSION=""
-FPM_VERSION="builtin"
-EXPECTED_TEST_FAILURES=""
-
-KEYWORDS="~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos"
-
-function php_get_uri ()
-{
-       case "${1}" in
-               "php-stas")
-                       echo "http://downloads.php.net/stas/${2}";
-               ;;
-               "php-pre")
-                       echo "http://downloads.php.net/johannes/${2}";
-               ;;
-               "php")
-                       echo "http://www.php.net/distributions/${2}";
-               ;;
-               "suhosin")
-                       echo "http://download.suhosin.org/${2}";
-               ;;
-               "olemarkus")
-                       echo "http://olemarkus.org/~olemarkus/gentoo/${2}";
-               ;;
-               "gentoo")
-                       echo "mirror://gentoo/${2}"
-               ;;
-               *)
-                       die "unhandled case in php_get_uri"
-               ;;
-       esac
-}
-
-PHP_MV="$(get_major_version)"
-
-# alias, so we can handle different types of releases (finals, rcs, alphas,
-# betas, ...) w/o changing the whole ebuild
-PHP_PV="${PV/_rc/RC}"
-PHP_PV="${PHP_PV/_alpha/alpha}"
-PHP_PV="${PHP_PV/_beta/beta}"
-PHP_RELEASE="php-stas"
-PHP_P="${PN}-${PHP_PV}"
-
-PHP_PATCHSET_LOC="olemarkus"
-
-PHP_SRC_URI="$(php_get_uri "${PHP_RELEASE}" "${PHP_P}.tar.bz2")"
-
-PHP_PATCHSET="0"
-PHP_PATCHSET_URI="
-       $(php_get_uri "${PHP_PATCHSET_LOC}" 
"php-patchset-${PV}-r${PHP_PATCHSET}.tar.bz2")"
-
-PHP_FPM_INIT_VER="4"
-PHP_FPM_CONF_VER="1"
-
-if [[ ${SUHOSIN_VERSION} == *-gentoo ]]; then
-       # in some cases we use our own suhosin patch (very recent version,
-       # patch conflicts, etc.)
-       SUHOSIN_TYPE="gentoo"
-else
-       SUHOSIN_TYPE="suhosin"
-fi
-
-if [[ -n ${SUHOSIN_VERSION} ]]; then
-       SUHOSIN_PATCH="suhosin-patch-${SUHOSIN_VERSION}.patch";
-       SUHOSIN_URI="$(php_get_uri ${SUHOSIN_TYPE} ${SUHOSIN_PATCH}.gz )"
-fi
-
-SRC_URI="
-       ${PHP_SRC_URI}
-       ${PHP_PATCHSET_URI}"
-
-if [[ -n ${SUHOSIN_VERSION} ]]; then
-       SRC_URI="${SRC_URI}
-               suhosin? ( ${SUHOSIN_URI} )"
-fi
-
-DESCRIPTION="The PHP language runtime engine: CLI, CGI, FPM/FastCGI, Apache2 
and embed SAPIs."
-HOMEPAGE="http://php.net/";
-LICENSE="PHP-3"
-
-SLOT="$(get_version_component_range 1-2)"
-S="${WORKDIR}/${PHP_P}"
-
-# We can build the following SAPIs in the given order
-SAPIS="embed cli cgi fpm apache2"
-
-# Gentoo-specific, common features
-IUSE="kolab"
-
-# SAPIs and SAPI-specific USE flags (cli SAPI is default on):
-IUSE="${IUSE}
-       ${SAPIS/cli/+cli}
-       threads"
-
-IUSE="${IUSE} bcmath berkdb bzip2 calendar cdb cjk
-       crypt +ctype curl curlwrappers debug doc
-       enchant exif frontbase +fileinfo +filter firebird
-       flatfile ftp gd gdbm gmp +hash +iconv imap inifile
-       intl iodbc ipv6 +json kerberos ldap ldap-sasl libedit mhash
-       mssql mysql mysqlnd mysqli nls
-       oci8-instant-client odbc pcntl pdo +phar pic +posix postgres qdbm
-       readline recode +session sharedmem
-       +simplexml snmp soap sockets spell sqlite3 ssl
-       sybase-ct sysvipc tidy +tokenizer truetype unicode wddx
-       +xml xmlreader xmlwriter xmlrpc xpm xsl zip zlib"
-
-# Enable suhosin if available
-[[ -n $SUHOSIN_VERSION ]] && IUSE="${IUSE} suhosin"
-
-DEPEND="!dev-lang/php:5
-       >=app-admin/eselect-php-0.6.2
-       >=dev-libs/libpcre-8.12[unicode]
-       <dev-libs/libpcre-8.30[unicode]
-       apache2? ( www-servers/apache[threads=] )
-       berkdb? ( =sys-libs/db-4* )
-       bzip2? ( app-arch/bzip2 )
-       cdb? ( || ( dev-db/cdb dev-db/tinycdb ) )
-       cjk? ( !gd? (
-               virtual/jpeg
-               media-libs/libpng
-               sys-libs/zlib
-       ) )
-       crypt? ( >=dev-libs/libmcrypt-2.4 )
-       curl? ( >=net-misc/curl-7.10.5 )
-       enchant? ( app-text/enchant )
-       exif? ( !gd? (
-               virtual/jpeg
-               media-libs/libpng
-               sys-libs/zlib
-       ) )
-       firebird? ( dev-db/firebird )
-       gd? ( virtual/jpeg media-libs/libpng sys-libs/zlib )
-       gdbm? ( >=sys-libs/gdbm-1.8.0 )
-       gmp? ( >=dev-libs/gmp-4.1.2 )
-       iconv? ( virtual/libiconv )
-       imap? ( virtual/imap-c-client[ssl=] )
-       intl? ( dev-libs/icu )
-       iodbc? ( dev-db/libiodbc )
-       kerberos? ( virtual/krb5 )
-       kolab? ( >=net-libs/c-client-2004g-r1 )
-       ldap? ( >=net-nds/openldap-1.2.11 )
-       ldap-sasl? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 )
-       libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) )
-       mssql? ( dev-db/freetds[mssql] )
-       !mysqlnd? (
-               mysql? ( virtual/mysql )
-               mysqli? ( >=virtual/mysql-4.1 )
-       )
-       nls? ( sys-devel/gettext )
-       oci8-instant-client? ( dev-db/oracle-instantclient-basic )
-       odbc? ( >=dev-db/unixODBC-1.8.13 )
-       postgres? ( dev-db/postgresql-base )
-       qdbm? ( dev-db/qdbm )
-       readline? ( sys-libs/readline )
-       recode? ( app-text/recode )
-       sharedmem? ( dev-libs/mm )
-       simplexml? ( >=dev-libs/libxml2-2.6.8 )
-       snmp? ( >=net-analyzer/net-snmp-5.2 )
-       soap? ( >=dev-libs/libxml2-2.6.8 )
-       spell? ( >=app-text/aspell-0.50 )
-       sqlite3? ( >=dev-db/sqlite-3.7.6.3 )
-       ssl? ( >=dev-libs/openssl-0.9.7 )
-       sybase-ct? ( dev-db/freetds )
-       tidy? ( app-text/htmltidy )
-       truetype? (
-               =media-libs/freetype-2*
-               >=media-libs/t1lib-5.0.0
-               !gd? (
-                       virtual/jpeg media-libs/libpng sys-libs/zlib )
-       )
-       unicode? ( dev-libs/oniguruma )
-       wddx? ( >=dev-libs/libxml2-2.6.8 )
-       xml? ( >=dev-libs/libxml2-2.6.8 )
-       xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv )
-       xmlreader? ( >=dev-libs/libxml2-2.6.8 )
-       xmlwriter? ( >=dev-libs/libxml2-2.6.8 )
-       xpm? (
-               x11-libs/libXpm
-               virtual/jpeg
-               media-libs/libpng sys-libs/zlib
-       )
-       xsl? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 )
-       zip? ( sys-libs/zlib )
-       zlib? ( sys-libs/zlib )
-       virtual/mta
-"
-
-php="=${CATEGORY}/${PF}"
-
-REQUIRED_USE="
-       truetype? ( gd )
-       cjk? ( gd )
-       exif? ( gd )
-
-       xpm? ( gd )
-       gd? ( zlib )
-       simplexml? ( xml )
-       soap? ( xml )
-       wddx? ( xml )
-       xmlrpc? ( || ( xml iconv ) )
-       xmlreader? ( xml )
-       xsl? ( xml )
-       ldap-sasl? ( ldap )
-       kolab? ( imap )
-       mhash? ( hash )
-       phar? ( hash )
-       mysqlnd? ( || (
-               mysql
-               mysqli
-               pdo
-       ) )
-
-       qdbm? ( !gdbm )
-       readline? ( !libedit )
-       recode? ( !imap !mysql !mysqli )
-       sharedmem? ( !threads )
-
-       !cli? ( !cgi? ( !fpm? ( !apache2? ( !embed? ( cli ) ) ) ) )"
-
-DEPEND="${DEPEND}
-       enchant? ( !dev-php/pecl-enchant )
-       fileinfo? ( !<dev-php/pecl-fileinfo-1.0.4-r2 )
-       filter? ( !dev-php/pecl-filter )
-       json? ( !dev-php/pecl-json )
-       phar? ( !dev-php/pecl-phar )
-       zip? ( !dev-php/pecl-zip )"
-
-[[ -n $SUHOSIN_VERSION ]] && RDEPEND="${RDEPEND} suhosin? (
-=${CATEGORY}/${PN}-${SLOT}*[unicode] )"
-
-DEPEND="${DEPEND}
-       sys-devel/flex
-       >=sys-devel/m4-1.4.3
-       >=sys-devel/libtool-1.5.18"
-
-# They are in PDEPEND because we need PHP installed first!
-PDEPEND="doc? ( app-doc/php-docs )"
-
-# No longer depend on the extension. The suhosin USE flag only installs the
-# patch
-#[[ -n $SUHOSIN_VERSION ]] && PDEPEND="${PDEPEND} suhosin? ( 
dev-php${PHP_MV}/suhosin )"
-
-# Allow users to install production version if they want to
-
-case "${PHP_INI_VERSION}" in
-       production|development)
-               ;;
-       *)
-               PHP_INI_VERSION="development"
-               ;;
-esac
-
-PHP_INI_UPSTREAM="php.ini-${PHP_INI_VERSION}"
-PHP_INI_FILE="php.ini"
-
-want_apache
-
-# eblit-core
-# Usage: <function> [version] [eval]
-# Main eblit engine
-eblit-core() {
-       [[ -z $FILESDIR ]] && FILESDIR="$(dirname $EBUILD)/files"
-       local e v func=$1 ver=$2 eval_=$3
-       for v in ${ver:+-}${ver} -${PVR} -${PV} "" ; do
-               e="${FILESDIR}/eblits/${func}${v}.eblit"
-               if [[ -e ${e} ]] ; then
-                       . "${e}"
-                       [[ ${eval_} == 1 ]] && eval "${func}() { eblit-run 
${func} ${ver} ; }"
-                       return 0
-               fi
-       done
-       return 1
-}
-
-# eblit-include
-# Usage: [--skip] <function> [version]
-# Includes an "eblit" -- a chunk of common code among ebuilds in a given
-# package so that its functions can be sourced and utilized within the
-# ebuild.
-eblit-include() {
-       local skipable=false r=0
-       [[ $1 == "--skip" ]] && skipable=true && shift
-       [[ $1 == pkg_* ]] && skipable=true
-
-       [[ -z $1 ]] && die "Usage: eblit-include <function> [version]"
-       eblit-core $1 $2
-       r="$?"
-       ${skipable} && return 0
-       [[ "$r" -gt "0" ]] && die "Could not locate requested eblit '$1' in 
${FILESDIR}/eblits/"
-}
-
-# eblit-run-maybe
-# Usage: <function>
-# Runs a function if it is defined in an eblit
-eblit-run-maybe() {
-       [[ $(type -t "$@") == "function" ]] && "$@"
-}
-
-# eblit-run
-# Usage: <function> [version]
-# Runs a function defined in an eblit
-eblit-run() {
-       eblit-include --skip common v2
-       eblit-include "$@"
-       eblit-run-maybe eblit-$1-pre
-       eblit-${PN}-$1
-       eblit-run-maybe eblit-$1-post
-}
-
-# eblit-pkg
-# Usage: <phase> [version]
-# Includes the given functions AND evals them so they're included in the 
binpkgs
-eblit-pkg() {
-       [[ -z $1 ]] && die "Usage: eblit-pkg <phase> [version]"
-       eblit-core $1 $2 1
-}
-
-eblit-pkg pkg_setup v3
-
-src_prepare() {
-       eblit-run src_prepare v4 ;
-
-       if [[ ${CHOST} == *-darwin* ]] ; then
-               # http://bugs.php.net/bug.php?id=48795, bug #343481
-               sed -i -e '/BUILD_CGI="\\$(CC)/s/CC/CXX/' configure || die
-       fi
-}
-src_configure() { eblit-run src_configure v54 ; }
-src_compile() { eblit-run src_compile v2 ; }
-src_install() { eblit-run src_install v3 ; }
-src_test() { eblit-run src_test v1 ; }
-
-#Do not use eblit for this because it will not get sourced when installing from
-#binary package (bug #380845)
-pkg_postinst() {
-       # Output some general info to the user
-       if use apache2 ; then
-               APACHE2_MOD_DEFINE="PHP5"
-               APACHE2_MOD_CONF="70_mod_php5"
-               apache-module_pkg_postinst
-       fi
-
-       # Create the symlinks for php
-       for m in ${SAPIS}; do
-               [[ ${m} == 'embed' ]] && continue;
-               if use $m ; then
-                       local ci=$(eselect php show $m)
-                       if [[ -z $ci ]]; then
-                               eselect php set $m php${SLOT}
-                               einfo "Switched ${m} to use php:${SLOT}"
-                               einfo
-                       elif [[ $ci != "php${SLOT}" ]] ; then
-                               elog "To switch $m to use php:${SLOT}, run"
-                               elog "    eselect php set $m php${SLOT}"
-                               elog
-                       fi
-               fi
-       done
-
-       elog "Make sure that PHP_TARGETS in ${EPREFIX}/etc/make.conf includes 
php${SLOT/./-} in order"
-       elog "to compile extensions for the ${SLOT} ABI"
-       elog
-       if ! use readline && use cli ; then
-               ewarn "Note that in order to use php interactivly, you need to 
enable"
-               ewarn "the readline USE flag or php -a will hang"
-       fi
-       elog
-       elog "This ebuild installed a version of php.ini based on 
php.ini-${PHP_INI_VERSION} version."
-       elog "You can chose which version of php.ini to install by default by 
setting PHP_INI_VERSION to either"
-       elog "'production' or 'development' in ${EPREFIX}/etc/make.conf"
-       ewarn "Both versions of php.ini can be found in 
${EPREFIX}/usr/share/doc/${PF}"
-
-       # check for not yet migrated old style config dirs
-       ls "${EROOT}"/etc/php/*-php5 &>/dev/null
-       if [[ $? -eq 0 ]]; then
-               ewarn "Make sure to migrate your config files, starting with 
php-5.3.4 and php-5.2.16 config"
-               ewarn "files are now kept at 
${EROOT}etc/php/{apache2,cli,cgi,fpm}-php5.x"
-       fi
-       elog
-       elog "For more details on how minor version slotting works 
(PHP_TARGETS) please read the upgrade guide:"
-       elog "http://www.gentoo.org/proj/en/php/php-upgrading.xml";
-       elog
-
-       if ( [[ -z SUHOSIN_VERSION ]] && use suhosin && version_is_at_least 
5.3.6_rc1 ) ; then
-               ewarn "The suhosin USE flag now only installs the suhosin 
patch!"
-               ewarn "If you want the suhosin extension, make sure you install"
-               ewarn " dev-php/suhosin"
-               ewarn
-       fi
-}

Reply via email to